Using PC-DMIS Portable

PC-DMIS Portable: Introduction

Launching PC-DMIS Portable

PC-DMIS Portable: User Interface

Configuring Portable Interfaces

Common Portable Functionality

Using a Romer Portable CMM

Using a Leica Laser Tracker

Creating Alignments

Measuring Features

Portable Hard Probe Scanning

Portable Laser Probe Scanning

Appendix A: Faro Portable Arm

Appendix B: SMX Tracker


PC-DMIS Portable: Introduction

This help file documents how to use PC-DMIS Portable with your portable measuring device to measure features on a part. Portable devices are manually operated measuring machines that are relatively easy to move to new locations due to their size and design. These are sometimes called "manual machines", or "hard probe machines", because they cannot run in DCC mode nor do they have a touch-trigger mechanism to record hits.

PC-DMIS Portable supports these hardware configurations:

¨ Romer Arms – Sigma Series, Flex Series, Omega Series, & Infinite series.
¨ Leica Laser Trackers – See the "Leica Laser Tracker: Introduction" topic for supported Leica versions.
¨ Faro Arms and SMX Trackers – These devices are supported by PC-DMIS and additional support is being added.

The main topics in this help file include:

  • Launching PC-DMIS Portable

  • PC-DMIS Portable: User Interface

  • Configuring Portable Interfaces

  • Common Portable Functionality

  • Using a Romer Portable CMM

  • Using a Leica Laser Tracker

  • Creating Alignments

  • Measuring Features

  • Portable Hard Probe Scanning

Use this help file in conjunction with the main "PC-DMIS Help file" if you come across something in the software that isn't covered here.


Launching PC-DMIS Portable

PC-DMIS allows to launch a slightly different user interface when working with portable devices. A Portable toolbar appears (see "Portable Toolbar" in the "Using Toolbars" section of the core PC-DMIS documentation). In addition, toolbar icons and menu items will be larger, easier to see from a distance.

The Portable interface becomes available in one of two ways:

  • Your portlock is programmed with either the Romer, Leica, SMX Laser, or Faro Manual interface prior to installing PC-DMIS. The appropriate interface will be installed.

  • Appending a switch to the PC-DMIS command line in a shortcut if your portlock is programmed with "All Interfaces".

To create a shortcut:

  1. Inside a folder in Windows, right-click and select New | Shortcut. The Create Shortcut wizard appears.

  2. Click Browse, and select Pcdlrn.exe from where you have PC-DMIS installed.

  3. In the box that points to the location of Pcdlrn.exe append the following switch to a path depending on your interface:

/portable:romer

/portable:leica

/portable:smxlaser

/portable:faro

So, if PC-DMIS was installed in the "C:\Pcdmisw" directory, the command line in the wizard would look something like this: C:\Pcdmisw /portable:Romer

Additionally you can add the /VK switch to you command so that the virtual keyboard is also displayed on startup (C:\Pcdmisw /VK /portable:Romer). This option is only available for arm interfaces.

  4. Click Next and specify a name for the shortcut.

  5. Click Finish. The shortcut gets created at the specified location.

  6. Double-click on the newly created shortcut to launch PC-DMIS Portable.

Note: Alternately, you can access the Customize dialog box (right-click on toolbar area and select Customize) and then select the Use Large Menus and Use Large Toolbar Icons check boxes.


PC-DMIS Portable: User Interface

There are PC-DMIS user interface elements that are particularly useful when using portable devices. The image below shows an example portable layout.

Example Portable User Interface

These following UI elements are discussed in greater detail in the PC-DMIS Core help file or elsewhere in this help file:

  • Settings Toolbar

  • Probe Mode Toolbar

  • Portable Toolbar

  • Edit Window

  • Quick Start Interface

  • Status Bar

  • Status Window

  • Probe Readouts

  • Status Window

  • Virtual Keyboard

  • Build and Inspect Toolbar

  • Menu Bar: All PC-DMIS functionality can be accessed from the menu bar and the corresponding drop-down lists.

  • Graphic View Toolbar: Allows you to easily change the view of the Graphics Display Window

  • Graphic Item Toolbar: Toggles the display of Graphics Display window labels. See the "Graphic Items Toolbar" topic in the PC-DMIS Core help file.

  • Graphic Display Window: Displays a the geometric features that are being measured. See the "Editing the CAD Display" section in the PC-DMIS Core help file.

  • Dimension Colors Window: Shows the colors for dimension tolerances and their associated scale values. See "Using the Dimensions Colors Window" topic in the PC-DMIS Core help file.

Note: If your portlock is programmed for "All Interfaces", you will need to run the PC-DMIS installation program with one of the following switches: /Interface:romer, /Interface:leica, /Interface:smxlaser, or /Interface:faro Adding these case sensitive switches can be done by creating a shortcut to the PC-DMIS Setup.exe and appending the needed switch to the Target field (For example: c:\download\PC-DMIS\setup.exe /Interface:romer). If you are installing with a portlock programmed for a specific interface, the correct interface should be installed automatically.


Settings Toolbar

The Settings Toolbar allows you to easily recall and change system information such as:

  • Recall saved views.

  • Recall any previous alignment.

  • Recall a Probe File.

  • Recall a Tip from the Probe File.

  • Recall a system workplane for 2D measurements and calculations.

  • Recall a measured plane for reference for 2D measurements and calculations.

See the "Settings Toolbar" topic in the "Using Toolbars" section in the PC-DMIS Core help file.


Probe Mode Toolbar

The Probe Mode Toolbar has buttons to determine how points are taken in PC-DMIS Portable. The following options are available:

Surface Auto Trigger Mode allows PC-DMIS to automatically take a reading when a the probe is a close to the surface point. See the "AutoTrigger" topic.

Edge Auto Trigger Mode allows PC-DMIS to automatically take a reading when a the probe is a close to an edge point. See the "TriggerPlane" topic.

Find Nominals from CAD Mode allows PC-DMIS to automatically find the appropriate nominal from the CAD model when measuring on-line.

When in Point Only Mode, PC-DMIS will interpret all measurements as points only. The Done key is not required.


Portable Toolbar

Portable Toolbar for Romer interface

The Portable Toolbar contains several icons that allow you to access various frequently used functions and windows that are helpful when programming or measuring with portable devices.

The available toolbar icons for Romer arms are described in this table:

Icon |  | Description
 | Execute | Executes the measurement process for any currently marked feature(s). See "Execute" in the "Using Advanced File Options" section in the PC-DMIS Core help file.
 | Execute Feature | Executes the selected feature. See "Execute Feature" in the "Using Advanced File Options" section in the PC-DMIS Core help file.
 | Execute from Cursor | Executes the part program starting at the selected feature and then working down the Edit window. See "Execute From Cursor" in the "Using Advanced File Options" section in the PC-DMIS Core help file.
 | Mark | Marks the selected feature with the specified mark color and prepares it for execution. See "Mark" in the "Editing a Part Program" section in the PC-DMIS Core help file.
 | Mark All | Marks all features in the Edit window. See "Mark All" in the "Editing a Part Program" section.
 | Clear Marked | Removes all highlights from currently marked features within the Edit window. See "Clear All" in the "Editing a Part Program" section in the PC-DMIS Core help file.
 | Edit Dialog | Accesses the dialog box associated with the currently selected command if one exists.
 | Import IGES Files | Begins the import operation for the IGES CAD file type (.igs or .iges). See "Importing an IGES File" in the "Using Advanced File Options" section in the PC-DMIS Core help file.
 | Set Alignment | Links the CAD data to the measured data. See "CAD Equals Part" in the "Creating and Using Alignments" section in the PC-DMIS Core help file.
 | Leap Frog Alignment | Performs a Leapfrog operation. See "Performing a Leapfrog Operation".
 | Curve Mode | Places PC-DMIS into Curve mode (for use with wire-frame). See "Switching Between Curve and Surface Modes" in the "Editing the CAD Display" section in the PC-DMIS Core help file.
 | Surface Mode | Places PC-DMIS into Surface mode (for use with surface data). See "Switching Between Curve and Surface Modes" in the "Editing the CAD Display" section in the PC-DMIS Core help file.
 | Virtual Keyboard | Displays a Virtual Keyboard. See "Using the Virtual Keyboard" in the "Using Other Windows, Editors, and Tools" section in the PC-DMIS Core help file.
 | Probe Readouts | Displays or hides the Probe Readout window. See "Using the Probe Readout Window" in the "Using Other Windows, Editors, and Tools" section in the PC-DMIS Core help file.
 | Large Status Window | Displays or hides the Status window. See "Using the Status Window" in the "Using Other Windows, Editors, and Tools" section in the PC-DMIS Core help file.
 | Report Window | Displays or hides the Report window. See "About the Report Window" in the "Reporting Measurement Results" section in the PC-DMIS Core help file.
 | Auto Circle | This allows quick access to the Auto Feature dialog box without having all auto feature buttons on the screen. Once the Auto Feature dialog box is open, you can select another auto feature if needed.

Important: Different and additional icons are displayed on the Portable toolbar for Leica trackers.


Edit Window

The Edit Window displays the part program being created. All listed program steps can be expanded and edited as needed. New program statements are added AFTER the high-lighted line.

See the "Using the Edit Window" section in the PC-DMIS Core help file.


Quick Start Interface

The Quick Start interface is the started to place for performing most of the functions for working with portable devices. From this interface, you can:

Calibrate Probes

Create Alignments

Measure Features

Construct Features

Create Dimensions

Reset the Window

See "Using the Quick Start Interface" in the "Using Other Windows, Editors, and Tools" section in the PC-DMIS Core help file.


Status Bar

The Status Bar provides PC-DMIS system information such as:

  • Help on buttons with mouse-over

  • XYZ Counter

  • StdDev of Feature Display

  • Probing Point Counter (Normal size only)

  • Unit Display: MM or INCH (Normal size only)

  • Line / Column counter to show where the cursor is within the Edit Window. (Normal size only)

To change the status bar to large size, select the View | Status Bar | Large menu option.


Status Window

The Status Window displays user information as a program is being created such as:

  • Feature information as they are being measured.

  • Dimension reports as they dimension tolerances are being evaluated.

See the "Using the Status Window" topic in the "Using Other Windows, Editors, and Tools" section in the PC-DMIS Core help file.


Probe Readout

The Probe Readout primarily displays the XYZ probe location. The display of the Probe Readout can be toggled from the Portable toolbar or by pressing and holding the portable arm left button for greater than 1 second. Pressing and holding the portable arm left button for greater than 1 second when the Probe Readout is already open will display the "T" value in the Probe Readout. The "T" value provides the distance to the CAD nominal.

When working with Build / Inspect mode, the tolerance colors used in Probe Readout indicate whether the current location is in or out of tolerance. The following colors are used:

  • In Tolerance: Green

  • Out-of-tolerance negative: Blue

  • Out-of-tolerance positive: Red

For more information about the Probe Readout window see the "Using the Probe Readout Window" in the "Using Other Windows, Editors, and Tools" section in the PC-DMIS Core help file.


Virtual Keyboard

The Virtual Keyboard allows you to enter data when measuring with an arm without having to return to the PC to type data. You can click the ArmKeypad keys with the arm in mouse mode (see "Using Romer Arm Buttons").

To access the Virtual Keyboard:

  1. Select [image] from the Portable toolbar or the Virtual Keypad toolbar.

  2. To enable the ArmKeypad, right-click within the Virtual Keyboard and select ArmKeypad from the drop-down list.

See the "Using the Virtual Keyboard" topic in the "Using Other Windows, Editors, and Tools" section in the PC-DMIS Core help file.


Build and Inspect Toolbar

Current Help System: PC-DMIS Portable (View Core Help)

Build / Inspect Toolbar

Build and Inspect Toolbar

The Build and Inspect Toolbar has buttons to determine how the Build and Inspect modes are used in PC-DMIS Portable. The following options are available:

Inspect / Build mode:

By default (Inspect mode), PC-DMIS displays the deviation (T) as 'Difference = Actual - Nominal'.

  • Build Mode: The general purpose is to provide real-time deviations between a real object and its nominal data or CAD model. This allows you to position your part as it relates to the CAD design data.

Selecting this option will display the distance and direction that you need to move the measured point to reach the nominal position or 'Difference = Nominal - Actual'.

Note: When you are moving the part into position, there are just real-time deviations displayed without storing any data (taking hits). After the part is positioned within a reasonable deviation (e.g. 0.1mm), you would typically measure (hits are taken) the final position of the feature.

  • Inspect Mode: In this mode, the position of an object (point, line of surface, etc.) is checked and compared with design data.

Surface Inspection:

Applies the Probe Readout settings that are useful for inspecting surfaces/curves.

Point Inspection:

Applies the Probe Readout settings that are useful for inspecting points.

Distance to closest feature:

When this option is enabled, the distance to the closest feature is displayed in the Probe Readout.

Show Deviation Arrow:

When this option is enabled, arrows are displayed in the Graphics Display window according to the inspect mode. The arrows are placed at the probe location in inspect mode (default) or at the measured point during build mode.


Configuring Portable Interfaces

The Display Menu Roadmap Edit | Preferences | Machine Interface Setup menu option invokes the Machine Options dialog box with the specific settings for your portable device. Machine options are only available when working in on-line mode.

Caution: In most cases you shouldn't change any of the values in this dialog box. Some items in this dialog box, such as the Mechanical Offsets area, permanently overwrite values stored for your machine on the controller's hard drive. For questions on how and when to use the Machine Options dialog box, you should contact your local service representative:

The parameters found in the Machine Options dialog box are discussed for the following machine interfaces:

  • Romer Arm Interface

  • Leica Tracker Interface

  • Axila Arm Interface

  • Faro Arm Interface

  • SMX Tracker Interface

  • GOM Arm Interface

Machine interface information for other PC-DMIS supported interfaces is discussed in the "Setting Up the Machine Interface" topic of the PC-DMIS Core help file.


Romer Arm Interface

The Romer interface is used with a Romer arm machine. PC-DMIS v3.7 and above supports USB arms.

  • For PC-DMIS 3.5 MR2 or earlier version, copy this file from Wilcox’s ftp site: ftp://ftp.wilcoxassoc.com/3rdParty/Romer/Romer22.zip.

  • For other versions (including Beta), copy this file from Wilcox’s ftp site: ftp://ftp.wilcoxassoc.com/3rdParty/Romer/Romer31.zip.

Unzip the file(s) and run setup.

Setting environment parameters so that PC-DMIS can access Romer’s DLLs:

  • Go to Control panel

  • Select System, then click on Advanced tab then click on the Environment variables button.

  • In the system variables list box, edit the Path variable. Add a semicolon followed by the WinRDS installation directory. Normally this is means adding “;C:\Program Files\cimcore\winrds” (without the quotation marks) to the end of the Path string.

Before starting PC-DMIS, rename the romer.dll to interfac.dll.

The Machine Option dialog box has five tabs for the Romer interface:

Debug tab

See the "Generating a Debug File" topic.

Tools tab

This tab provides a Diagnostics button. This button launches Romer software to configure and test your Romer Arm. See the WinRDS User Guide, located in the WinRDS install directory for more information. The WinRDS User Guide is a PDF file that gets installed when you install WinRDS.

Note: Additional information for this interface is provided in the Machine Interface Installation Manual (MIIM).

Romer Pulled Hit Feature

The Romer interface supports pulled hits. See "Pulled Hits Method" in the "Probe Compensation" section.


Leica Tracker Interface

The parameters that control how PC-DMIS interfaces with the Leica interface can be configured by selecting the Edit | Preferences | Machine Interface Setup menu item. This opens the Machine Options dialog box. The following seven tabs are available:

  • Options tab

  • Reset tab

  • Sensor Configuration tab

  • Environmental Parameters tab

  • Level To Gravity tab

  • System Information tab: Displays information for your configured Leica system. Included values are: IP Address, Tracker Type with Serial # (if available), Controller Type, T-CAM Type and Serial # (if available), emScon version, TP-Firmware version, Bootdriver version, and Nivel Type and Serial # (if available).

  • Debug tab: See the "Generating a Debug File" topic in the core PC-DMIS help file.

Note: Additional information for this interface is provided in the Machine Interface Installation Manual (MIIM). Also review the documentation that came with you Leica Tracker.


Options tab

Machine Options dialog box - Options tab

The Options tab provides the means to execute various TCU (Tracker Control Unit) Options and configure communication and other parameters. TCU options are also available as menu items.

TCU Options: This area allows you to execute the following options:

    • Disable Stable Probing: Disables stable probing. See the Stable Probing ON/OFF menu item in the "Tracker Menu" topic for information.

    • Enable Stable Probing: Enables stable probing. See the Stable Probing ON/OFF menu item in the "Tracker Menu" topic for information.

    • Go Birdbath: See the Go BirdBath menu item in the "Tracker Menu" topic for information.

    • Initialize: See the Initialize menu item in the "Tracker Menu" topic for information.

    • Level to Gravity: See the Initialize menu item in the "Nivel Commands" topic for information.

    • Live Image:

    • Motors Off: See the Release Motors menu item in the "Tracker Menu" topic for information.

    • Reset Nivel: Makes a new reference measurement.

    • TScan:

    • Zero Pos (6DoF): See the Go 6DoF 0 Position menu item in the "Tracker Menu" topic for information.

Note: TCU Options are more readily available from the Tracker toolbar/menu.

IP Address: Specify the IP address of your Laser Tracker controller (default 192.168.0.1).

Vector Distance: This defines the distance that you need to move the T-Probe/Reflector from hit location before a "Pulled Hit" will be taken.

"Pulled Hit" - Changes the vector to that of the line between the location where you first depress the hit button (at the "Normal Hit" location) to the location where you release the hit button. This line must be longer than the Use Vector Distance to successfully register a "Pulled Hit".

"Normal Hit" - A "Normal Hit" is taken when you press and release the hit button in the same location.

Example showing vector distance and movement

Vector Option: Choose one of these vector options:

    • Use Vector Distance: Allows you to establish the vector using a "Pulled Hit".

    • Use Last IJK: Uses there same IJK vector values of the last measured point.

    • No vector: When this option is selected, you are able to produce scan data when you press and hold a button on the T-Probe.

Measurement Time: This determines the time interval in milliseconds. The data stream of measurements of the IFM is averaged, in this time interval, to a single measurement value. 500ms = 500 measurements in 500ms. This results in an XYZ coordinate with an RMS quality indication which is available on the DRO.

Note: Measurement Time supports a value between 500ms and 100000ms (.5 - 100 seconds)


Reset tab

Machine Options dialog box - Reset tab

Home: Aims laser to the BirdBath position.

Machine or Part coord. option: Select Machine if you are using Machine Coordinates, or Part coord. if you are using part coordinates.

Aim: Select a point from the Reset Point list, and click the Aim to move the laser to the specified point.

Add: Click the button to open the Point dialog box. Provide a Title and the XYZ values, and click Create. The new point is added to the Reset Point list above. For example, you might have attached reflectors to positions on a car door. You could then name these positions Door1, Door2, Door3, etc.

Delete: Select a point from the Reset Point list, and click Delete. The selected point is deleted.

Reset Radio Buttons: In case of laser beam broken event, the following is done:

    • Safety Position: The tracker points to the safe position which is also called the park position.

    • Go Birdbath: The tracker goes back to birdbath position.

    • Keep Last Position: The laser beam stays at its current positions and locks on accordingly if possible.

    • Go Point: Points to the Default Reset point.

Set Default Reset: Select a point from the list above (to the left of the Home button), and click Set Default Reset. This is now the Default Reset. If the beam is broken with your reflector, the laser will point to the defined Default Reset.

Delay Before Positioning: Provides the time in milliseconds before the laser tracker will point to the next position.


Sensor Configuration tab

Machine Options dialog box - Sensor Configuration tab

Absolute Distance Meter (ADM)

  • Target Stability Tolerance: This tolerance (between 0.005 and 0.1 mm) determines the maximum range of movement of a reflector target during ADM measurements. Values beyond this range will show an error message.

  • Time Frame For Retry: Sets the period of time for determining target stability. If the target is stable, an ADM measurement is taken.

  • Number of Retries: Sets the number of attempts for an ADM measurement before aborting, because the stability of the target has exceeded the given tolerance.

Search Settings: If any of these search criteria are not met then the search process is aborted.

  • Spiral Search Diameter: Diameter in which to search for the target.

  • Abort Criteria: Time in which the target should be found.

  • Distance to Point: Distance at which to search for the target.

Go Birdbath: The Leica Tracker will rotate to the Birdbath position in the Clockwise or Counter Clockwise direction from its current position.


Environmental Parameters tab

Machine Options dialog box - Environmental Parameters tab

Atmospheric Conditions

  • Use Temperature Station: This determines whether or not the Leica Meteo Station is used. A Meteo Station collects data automatically and requires no manual interaction.

If no Meteo Station is connected, make sure that the correct values are entered manually. This is also possible from the Tracker Status bar.

  • Air Temperature: Allows you to specify the current temperature of the working environment in either Fahrenheit (F) or Celsius (C).

  • Pressure: Allows you to specify the air pressure of your working environment in terms of mBar, HPascal, MmHg, or InHg.

  • Humidity: Allows you to specify the percentage of humidity of your working environment.

Important: These Meteo parameters have a direct influence on the distance measurement. A change of 1°C causes a measurement difference of 1ppm. A change of 3.5mbar causes a measurement difference of 1ppm.

Refraction Index

  • IFM: Displays the Interferometer refraction value.

  • ADM: Displays the Absolute Distance Meter refraction value.


Level To Gravity tab

Machine Options dialog box - Level To Gravity tab

The Level to Gravity tab allows you to set up monitoring properties of the Nivel inclination device.

Current Value: Displays the current X-tilt and Y-tilt level values for the Nivel.

Difference: Displays the difference in milliradians between the actual reading of the current X-tilt and Y-tilt values from the current value.

Toleranc: Specifies the angle in milliradians that the Nivel level can change and still be considered in tolerance. Otherwise, you will need to use the Reset Nivel option on the "Options tab".

Monitoring frequency: Defines how often (in seconds) a Nivel monitoring value is read.

Use Nivel: Defines whether or not a Nivel is used. This toggles the visibility of the Nivel menu items and toolbars.


Axila Arm Interface

The Axila interface is used with an Axila arm machine. PC-DMIS software should be installed first, before proceeding with installing driver and arm-specific data delivered with your machine. The GDS driver for your Axila machine is protected by an HASP dongle that you must attach to your computer. The GTech/ROMER CD-ROM provides utilities for use with your machine.

Before starting PC-DMIS, rename the axila.dll to interfac.dll.

The Machine Option dialog box has two tabs for the Axila interface:

Debug tab

See the "Generating a Debug File" topic.

GDS Setup tab

This tab provides a button (Start Setup) that initiates the setup software that you installed with your Axila interface.

Note: The GDS document for the Axila interface is available from the Wilcox FTP site: ftp://ftp.wilcoxassoc.com/docs/E121 Gds manual UK.pdf

Axila Pulled Hit Feature

The Axila interface supports pulled hits. See "Pulled Hits Method" in the "Probe Compensation" section.


Faro Arm Interface

The Faro interface is used with a Faro arm machine. Software for your Faro arm is available on Wilcox's FTP server (ftp://ftp.wilcoxassoc.com/3rdParty/Faro/).

Before starting PC-DMIS, rename the faro.dll to interfac.dll.

The Machine Option dialog box has five tabs for the Faro interface:

Comm tab

See the "Setting the Communication Protocol" topic. Default value is Comm Port 1, 38400 Baud, No parity, 7 data bits, and 1 stop bit.

Axis tab

See the "Assigning the Machine Axes" topic.

Debug tab

See the "Generating a Debug File" topic.

Machine as Mouse tab

See the "Machine as Mouse Settings" topic.

Tools tab

This tab provides a Diagnostics button and Hardware Config. button. These buttons launch Programs from Faro to test and configure your Faro Arm.

Note: Additional information for this interface is provided in the Machine Interface Installation Manual (MIIM).

Faro Pulled Hit Feature

The Faro interface supports pulled hits. See "Pulled Hits Method" in the "Probe Compensation" section.

See "Appendix A: Faro Portable Arm"


Machine as Mouse Settings

Machine Options dialog box - Machine as Mouse tab

The Machine as Mouse tab allows you configure the capabilities of the Faro arm movement and button clicks to control the pointer movement and mouse button clicks.

Back Button: You can set the Back button of the Faro arm to: Centers Cursor (moves the mouse pointer the center of the screen), As right mouse button, or As center mouse button.

Machine as Mouse Status: Select whether Machine as Mouse mode is On or Off.

Tracking Speed: Controls how quickly the mouse moves relative to the Faro arm movement.

Enabling and Disabling Mouse Mode

  • To enable mouse mode, press the front and back button together.

  • To disable mouse mode, when PC-DMIS screen is maximized (note that the window MUST be maximized), move the mouse cursor to the very top of the title bar (which is also the very top of the screen because PC-DMIS is maximized), then click the button that simulates left mouse button.


SMX Tracker Interface

The parameters that control how PC-DMIS interfaces with the Faro SMX Laser interface can be configured by selecting the Edit | Preferences | Machine Interface Setup menu item. This opens the Machine Options dialog box. The following four tabs are available:

  • Options tab

  • Reset tab

  • Aiming tab

  • Debug tab: See the "Generating a Debug File" topic in the core PC-DMIS help file.

Note: Additional information for this interface is provided in the Machine Interface Installation Manual (MIIM). Also review the documentation that came with you SMX Tracker.


Options tab

Machine Options dialog box - Options tab

The Options tab provides the means to execute various TCU (Tracker Control Unit) Options and configure communication and other parameters. TCU options are also available as menu items.

TCU Options: This area allows you to execute the following options:

    • Closure: Opens the Closure window. See "Using the Closure Window" topic.

    • Home: Point your laser tracker to the home position.

    • Log Off: Log Off from the SMX Tracker.

    • Log On: Log On to the SMX Tracker

    • Motors Off: Releases the horizontal and vertical tracker head motors in order to allow manual tracker head movement.

    • Motors On: Engages the horizontal and vertical tracker head motors in order to allow manual tracker head movement.

    • Operational Checks: See "Performing Operational Checks".

    • Tracker Pad:

    • Wake Up:

Note: TCU Options are more readily available from the Tracker toolbar/menu.

IP Address: Specify the IP address of your Laser Tracker controller (default 128.128.128.100).

Update Interval:

Vector Interval:

Vector Distance: This defines the distance that you need to move the T-Probe/Reflector from hit location before a "Pulled Hit" will be taken.

"Pulled Hit" - Changes the vector to that of the line between the location where you first depress the hit button (at the "Normal Hit" location) to the location where you release the hit button. This line must be longer than the Use Vector Distance to successfully register a "Pulled Hit".

"Normal Hit" - A "Normal Hit" is taken when you press and release the hit button in the same location.

Example showing vector distance and movement

Vector Option: Choose one of these vector options:

    • Use Vector Distance: Allows you to establish the vector using a "Pulled Hit".

    • Use Last IJK: Uses there same IJK vector values of the last measured point.

    • No vector: When this option is selected, you are able to produce scan data when you press and hold a button on the T-Probe.

Automatic Closure Window: When this check box is enabled, the Closure window will automatically be opened if the reflector is very close to the home position (the nest).


Reset tab

Machine Options dialog box - Reset tab

Home: Aims laser to the BirdBath position.

Machine or Part coord. option: Select Machine if you are using Machine Coordinates, or Part coord. if you are using part coordinates.

Aim: Select a point from the Reset Point list, and click the Aim to move the laser to the specified point.

Add: Click the button to open the Point dialog box. Provide a Title and the XYZ values, and click Create. The new point is added to the Reset Point list above. For example, you might have attached reflectors to positions on a car door. You could then name these positions Door1, Door2, Door3, etc.

Delete: Select a point from the Reset Point list, and click Delete. The selected point is deleted.

ADM

Interferometer Only:

Use Default Reset:

Interferometer Set by ADM:

ADM Only:

Set Default Reset: Select a point from the list above (to the left of the Home button), and click Set Default Reset. This is now the Default Reset. If the beam is broken with your reflector, the laser will point to the defined Default Reset.

Delay Before Positioning: Provides the time in milliseconds before the laser tracker will point to the next position.

Aim Laser To Next Point: The laser tracker will point to the next point after completion of the previous point.


Aiming tab

Machine Options dialog box - Aiming tab

Motors On: Engages the horizontal and vertical tracker head motors in order to allow manual tracker head movement.

Motors Off: Releases the horizontal and vertical tracker head motors in order to allow manual tracker head movement.

Tracker Pad:

Control buttons (Left, Up, Right, Down): Clicking the control buttons will move the laser in the respective direction. Click a control button once and the tracker slowly begins to move until you click Stop. Each successive click will cause the tracker to move more quickly in that direction. The black box in the middle of these buttons will flash with a green indicator when the reflector is considered to be settled.

Move Distance: This value provides the approximate distance at which the laser will search for the reflector when you click Search. Moving the associated slider to the right will increase the Move Distance value will moving it to the left will decrease the value.

Search Diameter: Provides the diameter for the search area at the approximate Move Distance when you click Search. Moving the associated slider to the right will increase the Search Diameter value will moving it to the left will decrease the value.

Take Hit: Will measure a stationary hit (same as Ctrl-h) at the current location of the reflector.


GOM Arm Interface

Current Help System: PC-DMIS Portable (View Core Help)

GOM Interface

The GOM interface is used with the CTR, GOM, and Krypton machines. This interface works via a serial port. A generic parser can be used to adapt the interface to work with other manual machines where the format of data being received is known. Traconsa, Layout, and Manual Mitutoyo machines can be used in this manner with additional registry values (see the MIIM).

Before starting PC-DMIS, rename the GOM.dll to interfac.dll.

The Machine Option dialog box has three tabs for the GOM interface:

Controller tab

See the "Setting the Communication Protocol" topic. Default value is Comm Port 1, 9600 Baud, No parity, 8 data bits, and 1 stop bit.

Axis tab

See the "Assigning the Machine Axes" topic.

Debug tab

See the "Generating a Debug File" topic.

Note: Additional information for this interface is provided in the Machine Interface Installation Manual (MIIM).


Common Portable Functionality

Current Help System: PC-DMIS Portable (View Core Help)

Common Portable Functions

Some PC-DMIS Portable capabilities are common among portable devices. This section provides information about this basic functionality. Common elements include:

  • Importing Nominal Data

  • Probe Compensation

  • Using Hard Probes

  • Probe Trigger Options

  • Converting Hits to Points

  • Edge Point Mode


Importing Nominal Data

PC-DMIS allows you to import nominal data of various types for the extraction of feature nominals.

Import the Following CAD Data Types:

  • Standard Formats: DXF, IGES, SETP, STL, VDAFS, XYZ

  • Optional: Catia 4, Catia 5, Parasolid, Pro-engineer, Unigraphics

  • Direct CAD (DCI): ACIS, AIMS, CATIA, I-DEAS, Pro-engineer, Solidworks, Unigraphics

See "Importing CAD Data or Program Data" in the "Using Advanced File Options" section of the Core PC-DMIS help file.

If you have Inspection Planner programmed on your portlock, you may also use the Generic Parser to import ASCII files. See "Appendix B: Using the Generic Parser to Import ASCII Files" for more information.


Probe Compensation

To accurately measure hits, points are compensated from the center of the probe tip to the part surface. There are a couple of things that should be understood when measuring with a portable device.

  • The XYZ values of the DRO (Digital Readout) are the 3D location of the CENTER of the probe.

  • When probing a single point on a part, PC-DMIS compensates for the probe radius by doing using on of two methods:

  1. Probe Shaft: Monitoring the angle of the probe shaft and compensating along the vector of the shaft to the point location on the surface, or...

  2. Pulled Hit: Monitoring the direction of a "pulled hit" and compensating along the direction vector between the where the hit button was pressed and subsequently released.

Normally, when measuring with portable CMMs with a hard probe, the probe’s shank vector is used as the hit vector. However, due to the shape of a particular part, you may not be able to position the probe’s shank to get a proper hit vector.

For example, if you want to measure a small, deep hole, but the end of the arm is too large to fit into that hole, you need to take "pulled hits" to get each hit vector to properly point towards the center of the hole, thereby determining the proper in/out compensation. Pulled hits are hits whose vectors match the direction pulled away from the hit location, not the default shank vector of the probe.

More:

Probe Shaft Method

Pulled Hits Method


Probe Shaft Method

For a portable arm device, you would follow this procedure to measure a point on a top surface using the probe shaft for probe compensation:

  1. Place the probe on the top surface with the probe shaft straight up (perpendicular to the surface) from the point location (B). The point will be compensated in the direction (A) of the probe shaft.

Correct Position Incorrect Position

  2. Press the Hit button.

  3. Press the Done button. Notice the measured point has been added to the Edit Window.

  4. With the point high-lighted, press F9 to open the Measured Point dialog box.

Measured Point Example showing hit vector pointing up.

  5. Notice the IJK values in the example are generally pointing up (0,0,1). These values should generally coincide with the surface vector at the points location.

Important: Care should be taken to hold the probe normal to (perpendicular) the surface when probing single points.


Pulled Hits Method

For a portable arm device, you would follow this procedure to measure a point using a "pulled hit" for probe compensation:

  1. Place the probe on the surface at the point location (1). The probe shaft vector does not matter when performing a "pulled hit".

Either one of these examples will work for pulled hits

  2. Press and hold the hit button long enough to get a pulled hit, but not so long that PC-DMIS starts scanning the part. To change the length of time to distinguish between “pulled hit” or “start scanning”, you can modify the DelayToStartSendingScanPointsToManualHit registry entry using the PC-DMIS Settings Editor. See Modifying Registry Entries: Introduction.

  3. Move the tip in the direction of the vector (2) you want to send to PC-DMIS, away from the hit location. You must move it a distance equal to or greater than the defined vector distance (3). To define the minimum distance from the hit that you must move the probe for a pulled hit to be accepted, you can modify the VectorToIMM registry entry using the PC-DMIS Settings Editor. See Modifying Registry Entries: Introduction.

  4. Release the button. You will hear a different lower audible tone. Notice the measured point has been added to the Edit Window.

  5. With the point high-lighted, press F9 to open the Measured Point dialog box. Verify that the vector is following the PULL direction not the shaft direction.

Note: For Auto Features, the last hit vector determines the compensation direction. For Measured Features, the first hit vector determines the compensation direction.

Supported Interfaces

The following interfaces support pulled hits:

  • Faro Interface

  • Romer

  • Axila

  • SMXLaser (Faro tracker)

  • Leica


Using Hard Probes

PC-DMIS Portable supports a variety of hard probes. The use and calibration of hard probes is similar to that of TTP probes.

If a hard probe is selected, PC-DMIS expects a probe that does not automatically trigger when it comes in contact with the part. DCC calibration cannot be done using a hard probe. Verify that the correct probe type is selected.

When measuring with an arm machine, it is recommended to hold it such that the probe is between you fingers with the buttons accessible with your thumb.

When measuring geometric features (lines, circles, planes, etc.) the probe radius is compensated based on the resolved feature itself rather than the individually compensated points.

For example: If you are measuring a plane, the individual hit points that comprise the plane feature do not have to have to be measured with the probe shaft perpendicular to the surface of the feature.

PC-DMIS Portable monitors the probe shaft of the FIRST HIT when measuring a circle, cone, or cylinder to determine if you are measuring the inside diameter (ID) of the outside diameter (OD).

In most cases you cannot physically orient the probe exactly normal to the surface of an ID circle without interference from the other side of the circle feature. The probe should be tipped as much as possible toward the center of the circle to register an inside diameter circle and away from the center to register an outside diameter circle.

After measurement of an ID or OD circle, you can verify that PC-DMIS has correctly determined the circle type by pressing F9 on the highlight feature in the Edit Window. Check the Circular Feature Type option.


Probe Trigger Options

Using Probe Trigger Options allows you to trigger a hit when certain conditions are met while using manual CMM machines. The interfaces that support probe trigger options include: Romer, Leica, BackTalk, Faro, Garda, GOM (Krypton), Axila, Polar, and SMXLaser.

Inserting AUTOTRIGGER, TRIGGERTOLERANCE, and TRIGGERPLANE commands into your part program can be done from the Probe Trigger Options tab of the Parameters dialog box (Edit | Preferences | Parameters or F10) or the Probe Mode toolbar.

These trigger commands function with the following supported features:

  • Auto Features: Circle, Ellipse, Edge Point, Round Slot, Square Slot, Notch Slot, and Polygon

  • Measured Features: Circle, Line, and Round Slot

The available Probe Trigger options are:

  • AutoTrigger

  • TriggerPlane

  • Manual Point Trigger Tolerance


AutoTrigger

The AUTOTRIGGER/ command tells PC-DMIS to automatically take a hit when the probe enters a tolerance zone at a specified distance from the original hit location. For example, if the tolerance zone, the Radius value, is set to 2 mm, a hit is taken when the probe is within 2 mm of the hit location.

You can use this option with manual machines; instead of pressing a button to take a hit, you can place AUTOTRIGGER/ commands at any standard location in the Edit window.

You can add AutoTrigger commands from the AutoTrigger area of the Probe Trigger Options tab or by clicking the Surface Auto Trigger Mode button [image] from the Probe Mode toolbar.

AutoTrigger area on the Probe Trigger Options tab

Note: In addition to the standard supported features (as noted in the "Probe Trigger Options" topic), the AUTOTRIGGER command supports the Auto Vector Point feature and the Measured Point feature.

On: Selecting this check box activates the AUTOTRIGGER command. Commands in the Edit Window that follow the inserted AUTOTRIGGER command will use the AutoTrigger functionality as defined.

If you do not select this check box and you click the Insert Command button, PC-DMIS inserts the command line into the Edit Window but doesn't activate the command.

Beeping On: Selecting this check box activates a beeping sound associated with your AUTOTRIGGER/ command. As you approach the target with the probe, beeps become more frequent.

Radius: The Radius box allows you to type a tolerance zone value. When the probe moves into this tolerance zone, it automatically and immediately takes a hit.

Insert Command: Clicking the Insert Command button inserts the AUTOTRIGGER/ command into the Edit window for the current part program.

This command line reads:

AUTOTRIGGER/ TOG1, TOG2, RAD

TOG1: This toggle field corresponds to the AutoTrigger On check box. It displays either ON or OFF.

TOG2: This toggle field corresponds to the Beeping On check box. It displays either ON or OFF.

RAD: The radius field contains the value for the tolerance zone. This value is the distance from the actual point that PC-DMIS takes the hit.


TriggerPlane

The TRIGGERPLANE/ command tells PC-DMIS to automatically take a hit when the probe passes the plane defined by the surface normal of a supported feature at the level of the defined depth. For auto features, this defined location will be adjusted based on options such as sample hits or RMEAS features. As the probe center passes from one side of the plane to the other, the probe will trigger and the hit will be taken.

You can use this command with manual machines; instead of pressing a button to take a hit, you can place TRIGGERPLANE/ commands at any standard location within the Edit window.

You can add TriggerPlane commands from the TriggerPlane area of the Probe Trigger Options tab or by clicking the Edge Auto Trigger Mode button [image] from the Probe Mode toolbar.

This command only works in online mode. If the AUTOTRIGGER/ command is used, it will take precedence over the TRIGGERPLANE/ command.

TriggerPlane area on the Probe Trigger Options tab

Note on Faro and Romer Machines: As defined above, PC-DMIS will automatically take a hit when the probe passes the plane. However, if you are using a Faro or a Romer machine, the probe will not trigger again until you press the Accept button (or Release button). You must press this button after each registered hit in order to continue.

On: Selecting this check box activates the TRIGGERPLANE/ command. Commands in the Edit Window that follow the inserted TRIGGERPLANE/ command will use the TriggerPlane functionality as defined.

If you do not select this check box and you click the Insert Command button, PC-DMIS inserts the command line into the Edit Window but doesn't activate the command. The TRIGGERPLANE/ command will not function until the option is turned on.

Beeping On: Selecting this check box activates a beeping sound associated with your TRIGGERPLANE/ command. As you approach the target with the probe, beeps become more frequent.

Insert Command: Clicking the Insert Command button inserts the TRIGGERPLANE/ command into the Edit window for the current part program.

This command line reads:

TRIGGERPLANE/ TOG1,TOG2

TOG1: This toggle field corresponds to the On check box. It displays either ON or OFF.

TOG2: This toggle field corresponds to the Beeping On check box. It displays either ON or OFF.


Manual Point Trigger Tolerance

The TRIGGERTOLERANCE/ command tells PC-DMIS to only accept a manual hit when it is within the specified tolerance zone.

You can add TriggerTolerance commands from the Manual Point Trigger Tolerance area of the Probe Trigger Options tab.

You can use this option with manual machines; when PC-DMIS prompts you to take a hit, trigger the probe as you wish. Each trigger will be evaluated to see if it is within the cylindrical trigger tolerance zone. If it is not, you will receive an error in the Machine Errors list of the Execution Mode Options dialog box. PC-DMIS will then ask you to take the hit again. You can place TRIGGERTOLERANCE/ commands at any standard location within the Edit window.

This option only works in online mode.

Manual Point Trigger Tolerance area on the Probe Trigger Options tab

Use Trigger Tolerance: Selecting this check box activates the TRIGGERTOLERANCE/ command. Commands in the Edit Window that follow the inserted TRIGGERTOLERANCE/ command will use the TriggerTolerance functionality as defined.

If you do not select this check box and you click the Insert Command button, PC-DMIS inserts the command line into the Edit Window but doesn't activate the command. The Trigger Tolerance capability is disabled until the option is turned on.

Tolerance Radius: The Tolerance Radius box allows you to type a tolerance radius value. When the probe is triggered, PC-DMIS will check to see if the probe is within this tolerance zone. If it is, the hit will be accepted. It is it not, you will be asked to take another hit.

Insert Command: Clicking the Insert Command button inserts the TRIGGERTOLERANCE/ command into the Edit window for the current part program with the following options.

This command line reads:

TRIGGERTOLERANCE/ TOG1, RAD

TOG1: This toggle field corresponds to the Use Trigger Tolerance check box. It displays either ON or OFF.

RAD: The radius field contains the value for the tolerance zone. This value is the distance from the actual point that PC-DMIS accepts the hit.


Converting Hits to Points

You can cause PC-DMIS to receive a stream of points from the interface. To do this, hold down the Take Hit button on your portable device. This lets you quickly scan over a surface taking several points in a very short amount of time.

Once PC-DMIS receives the stream of points, it can do one of two things with them:

  • Create Individual Point Features. If you are in Point Only Mode or if you have the Auto Feature Vector Point dialog box open, PC-DMIS will create individual point features from this stream of points.

  • To enter Point Only Mode, click Point Only Mode [image] from the Graphics Modes toolbar.

  • To access the Vector Point dialog box, select the Vector Point [image] from the Auto Features toolbar.

  • Guess the Feature. If you are not in either of these mode the points will go onto the hits buffer and you will see the hit count increment on the Status Bar. When you finish measuring, the resulting feature depends on your settings and if Guess Mode is being used.


Edge Point Mode

Edge Point Mode allows for walk-up measurement of sheet metal features without using the Auto Features dialog box. The features generated using this mode are all Measured Features rather than Auto Features with two exceptions: If you are in point only mode, then PC-DMIS will create either an auto vector point or an auto edge point. An auto edge point will be created if you take your hit close to an edge and then slide it over the edge to complete the guiding.

For this mode to be enabled you must do the following:

  • Program the Sheet Metal option into your portlock.

  • Import a CAD model with surfaces for the part you are measuring.

  • Select the Find Nominals checkbox from the General tab of the SetUp Option dialog box.

  • Specify the needed tolerance distance in the Settings Editor for the DistanceToClosestEdgeToleranceInMM value in the Option section. The default value is 5MM. Hits taken within this distance from the edge will initiate guided mode for completion of the edge point.

To measure points in Edge Point Mode:

  1. Take measurements in Learn Mode within the tolerance (DistanceToClosestEdgeToleranceInMM) near the edge point location. PC-DMIS finds the nominals from the CAD model and checks to see if the hit is within tolerance. If the measurement is within tolerance, PC-DMIS will go into guided mode rather than storing the hit in the buffer.

  2. In guided mode, slide the probe tip over the edge to complete the edge hit.

  3. PC-DMIS will place the completed edge hit into the buffer in learn mode. This allows for the guessing of features as you measure.

  4. If you didn’t want an edge hit, press the end button and PC-DMIS will cancel guided mode and add the previous hit to the buffer.

Note: When creating features in Guess mode from edge hits; circles, lines, and slots will be 3D features.

To eliminate internal borders between surfaces for determining edges, use the AdjacentEdgeToleranceInMM in the Option section of the Settings Editor. This is useful in situations where the CAD model has gaps between surfaces. If the gaps are large, you may need to increase the default value of 0.1MM.

Edge Point Mode also uses half of the thickness value from the Auto Feature dialog box to determine the depth. Normally, you only need to set this once to the part thickness and then close the Auto Feature dialog box. This value is written to the registry.

Note: Edge Point Mode is designed for portable devices, but will work with any device with a hard probe.


Using a Romer Portable CMM

This section discusses the configuration and general usage of your Romer Portable CMM with PC-DMIS. Refer to documentation provided by Romer for detailed information on configuring and using your Romer arm.

  • Romer Portable CMM: Introduction

  • Getting Started

  • Configuring a Perceptron Contour Sensor

  • Calibrating a Romer Hard Probe

  • Calibrating the Perceptron Sensor

  • Using Romer Arm Buttons

  • Using a Romer Laser Sensor


Romer Portable CMM: Introduction

Romer Portable CMMs are articulated arm machines used to measure parts using either a hard probe or Perceptron laser probe.

PC-DMIS uses WinRDS to interface with your Romer arm. Please refer to the WinRDS documentation for detailed information for configuration and usage of your portable arm. The latest WinRDS software is available from the Wilcox FTP site at ftp://ftp.wilcoxassoc.com/3rdParty/Romer/.

Note: To use a Romer arm device with PC-DMIS you must have your portlock programmed with the Romer interface option. You may additionally need to have the Laser Probe option with the "Perceptron" Probe Type programmed if you are using a Perceptron probe on a Romer arm.

Important: The Rotary Table portlock option MUST NOT be selected when you are using a portable device since it will cause problems with your portable device.

The information provided in the topics in this section were written specifically for Romer arms, but may be relevant to non-Romer arms.


Getting Started

There are a few basic steps that you should take to verify that your system has been properly prepared before beginning the measurement process with your portable arm.

If you plan to use a Perceptron Contour sensor with your Infinite arm, then you will also needs to follow the steps outlined in the "Configuring a Perceptron Contour Sensor" topic.

This section contains supplemental material to the standard WinRDS documentation for your Romer Infinite Arm. For additional setup information please consult the WinRDS documentation and Perceptron Contour sensor documentation.

To configure your Romer Infinite arm follow these steps:

  • Step 1: Set Up the Romer Infinite Arm

  • Step 2: Set WinRDS Environment Variables

  • Step 3: Install PC-DMIS for Romer


Step 1: Set Up the Romer Infinite Arm

  1. Mount the fixturing base to a stable platform using the mounting screws or magnetic chucks.

  2. Place the arm on the fixturing base by screwing the large threaded ring at the base of the arm to the fixturing base.

  3. Once the arm is securely mounted, plug in the power to the arm and verify the power comes on. Turn off the arm until step 6.

  4. Install WinRDS (version 2.3.5 or later) if it has not already been installed on the computer. WinRDS 3.1 is available via this link: ftp://ftp.wilcoxassoc.com/3rdParty/Romer/Romer31.zip. Installing WinRDS will place two icons on your computer desktop; One is called Cimcore Arm Utilities and the other Quick Check Tools.

Note: WinRDS versions earlier than 2.3.5 are not adequately supported for use with Perceptron Contour sensors.

Important: There are two ways of communicating with the Infinite arm. 1) via USB connection, 2) via wireless connection if your computer has a wireless Network Interface Card (NIC). Because of the high communication speed required by laser scanners, it is preferred that you connect your computer to the Infinite arm via the USB port when using a Perceptron Contour Sensor. Wireless communication is not covered in this document. If you want to connect via the wireless, please see your Infinite Setup Guide and other documentation installed with the WinRDS installation.

  5. Plug in the USB connector into one of the USB ports on your computer (or verify Wi-Fi communication if you are not using a Perceptron Contour sensor).

  6. Start up the arm by toggling the power switch. If you are running Window 2K or Windows XP, your computer will detect the connection and ask you if you want to install the USB drivers for the arm. Go ahead and install the USB drivers.

  7. Once the driver installation is complete, double click the Cimcore Arm Utilities icon on your desktop. This will launch the Arm Utilities application. When the application starts up, it will automatically try to connect to the machine. If the machine is connected properly, it will connect to the arm and ask you to reset the axes. If there are problems, please consult the WinRDS and Cimcore documentation.

  8. To reset the axes, move all of the joints on the arm until each of the joints are zeroed out. As each axis is zeroed out the corresponding axes bar graphs will fill as shown below. When all the axes are homed (zeroed out) the dialog box will automatically close.

At this point the machine is connected and ready to work.

Next Step ...


Step 2: Set WinRDS Environment Variables

There is one last step to work with PC-DMIS. If you are using a version of WinRDS prior to version 5.0, you will need to set the WinRDS directory in the path of the computer. To do this, follow these steps:

  1. Open the Control Panel by clicking the Start button and selecting Control Panel.

  2. Double-click the System icon to open the System Properties dialog box.

  3. Select the Advanced tab.

  4. Select the Environment Variables button.

  5. In the System Variables section of the Environment Variables dialog box, scroll down until you see Path on the left. Select Path from the list and select the Edit button.

  6. Go to the end of the Variable Value line and add a semicolon (;) followed by the path of the WinRDS installation (i.e. c:\Program Files\CIMCORE\WinRDS)

  7. Click OK on the Edit System Variable dialog box, click OK on the Environment Variables dialog box and click OK on the System Properties dialog box.

At this point you can launch PC-DMIS. You may get a message saying “Retrieving arm specs from the machine” depending on how you have configured WinRDS. This setting can be changed through the Arm Utilities program.

Next Step ...


Step 3: Install PC-DMIS for Romer

Current Help System: PC-DMIS Portable (View Core Help)

  1. Your portlock should have already been programmed with the Romer interface option before installing PC-DMIS.

Note: If All interfaces is programmed in your portlock (like a demo dongle), you will need to manually rename Romer.dll to interfac.dll. Romer.dll is found in the PC-DMIS install directory.

  2. Install PC-DMIS. PC-DMIS is now ready to use.

  1. Your portlock should have already been programmed with the Laser Probe, Perceptron, and the Romer interface options before installing PC-DMIS. If you don’t have Laser and Perceptron specified in the portlock, you will not have the necessary Perceptron files as indicated below. Additional files will be installed that are required by WinRDS when you install PC-DMIS.

Note: If All interfaces is programmed in your portlock (like a demo dongle), you will need to manually rename Romer.dll to interfac.dll. Romer.dll is found in the PC-DMIS install directory.

  2. Install PC-DMIS. Do not run PC-DMIS at this point.

  3. Verify that the probe.8 file has been installed in your ArmData directory (usually c:\Program Files\CIMCORE\WinRDS\ArmData). This file should be installed by PC-DMIS during the install process as long as your port lock is programmed correctly. The probe.8 file is used by WinRDS as the identifier for the Perceptron Contour sensor. If you do not have a copy of this file, make sure that you contact your PC-DMIS distributor.

  4. Continue to the "Configuring a Perceptron Contour Sensor" section.

Step 3: Install PC-DMIS for Romer

Once you have verified connection of the PC to the arm, install PC-DMIS by doing the following:

NOT using a Perceptron Laser Sensor

ARE using a Perceptron Laser Sensor

Important: The Rotary Table portlock option MUST NOT be selected when you are using a portable device since it will cause problems with your portable device.


Configuring a Perceptron Contour Sensor

This section discusses the configuration of your Perceptron Contour sensor once you have configured you Infinite Arm outlined in the "Getting Started" section.

To configure the Perceptron Contour sensor follow these steps:

  • Step 1: Connect the Perceptron Sensor Controller Box

  • Step 2: Configure the Network Card

  • Step 3: Attach Your Contour Sensor

  • Step 4: Complete the PC-DMIS Configuration

  • Step 5: Verify Sensor Installation


Step 1: Connect the Perceptron Sensor Controller Box

The connection to the Perceptron Sensor controller box requires a dedicated Network Interface Card (NIC). You will need to use the integrated NIC on your computer or purchase an additional NIC because the Perceptron requires a dedicated NIC for communication with their Perceptron Sensor controller box.

Important: A USB NIC is not sufficient for this connection. If you are using a desktop computer, you will need an additional PCI NIC or if you are using a laptop, you will need a PCMCIA NIC.

To Connect Your Perceptron Sensor Controller Box:

  1. Remove the cap on the back of the Infinite Arm labeled “SCANNER”.

  2. Take the sensor cable from the Perceptron box and plug it into the "Sensor” connector on the Perceptron controller box. Plug the other end into the "SCANNER" connection on the back of the arm.

  3. There may be a small pig-tail that comes off of the end plugged into the Perceptron controller box depending on what version of Perceptron controller you have. If you have a pig tail, plug the pig tail into the connector marked “Trigger”.

  4. On the other side of the Perceptron controller box, connect a crossover RJ45 cable. Connect the other end to the dedicated NIC on the computer.

Next Step ...


Step 2: Configure the Network Card

In order to communicate with the Perceptron controller box you will need to configure your dedicated NIC following these steps:

  1. Open the Control Panel by clicking the Start button and selecting Control Panel.

  2. Double-click the Network Connections icon to view the current Network Connections.

  3. From the list of LAN or High Speed-Internet, double click on the name of the NIC connected to the Perceptron controller box.

  4. Click Properties on the General tab.

  5. Unselect all items except Internet Protocol (TCP/IP) by clicking in the check box next to any of the items that are currently checked. This should leave the list with only Internet Protocol checked.

  6. Highlight Internet Protocol by selecting the text (not the check box) and select Properties.

  7. On the General tab of the Internet Protocol (TCP/IP) Properties dialog box, select the radio button labeled Use the following IP address and type the following values as shown in the image:

  • IP address: 192.168.19.1

  • Subnet mask: 255.255.255.0

  8. Click Advanced to open the Advanced TCP/IP Setting dialog box.

  9. From the Advanced TCP/IP Settings dialog box select the WINS tab.

  10. Select the Disable NetBIOS over TCP/IP option in the NetBIOS setting area.

  11. Click OK on the Advanced TCP/IP Settings dialog box, click OK on the Internet Protocol (TCP/IP) Properties dialog box and then click OK on the <dedicated NIC> Properties dialog box.

Next Step ...


Step 3: Attach Your Contour Sensor

  1. Mount the Contour sensor to the wrist. If you are using a seven axis infinite, you will need to mount the sensor in the mount that is in the axis of the seventh joint.

  2. Turn on the Perceptron Sensor controller box by pressing the power button located close to the power connector and the trigger connector. This is not to be confused with the sensor power rocker switch located on the same side of the controller box. The boot sequence for the controller box may take as long as two minutes. You will know when the boot cycle is complete because the green Ready LED will be lit.

  3. When the boot cycle is complete, turn the sensor power rocker switch to the on position. This will provide power to the sensor. You can verify that the sensor has power by looking at the three LED’s on the side of the sensor head. The LED’s labeled +12V and +5V should be lit. If they are not on, check the power on the sensor controller box and the sensor cable. The LED marked LASER only comes on when scanning.

  4. With the power on, browse to the Perceptron sub-directory inside the PC-DMIS install directory. Double click on the WinSen application. This is a diagnostic application provided by Perceptron. When the application is launched it will try to establish communication with the sensor. If successful you should receive several messages with Status=0x00000000 (All OK). You should also see a line indicating the sensor ID. If there is no sensor ID, there is a communication with the sensor.

  5. Point the sensor at something and then select the Image | Live Sensor Display menu item. You should then be able to see (if you are within the cameras field of view) the live camera image of the part you are scanning. You should also see a red laser stripe projected onto the part.

  6. Once you are satisfied the system is working correctly, close WinSen.

Note: The sensor cannot communicate with two different host applications at the same time. When you run PC-DMIS you must make sure that WinSen or any other application that communicates with the sensor controller is off.

Next Step ...


Step 4: Complete the PC-DMIS Configuration

You are now ready to start PC-DMIS. After launching PC-DMIS, open a new part program and follow these steps to complete the configuration:

  1. Open the Setup Options dialog box by pressing F5.

  2. Select the Laser tab.

  3. Type the path to the CSGMain.bin file in the Sensor Binary File edit box. This is normally installed with PC-DMIS into the Perceptron subdirectory of the main PC-DMIS installation. Alternatively, you can use the Browse button to locate this file.

  4. Click OK on the Setup Options dialog box.

To verify that the sensor is working in PC-DMIS, close down PC-DMIS and restart. This will ensure that all necessary information is written to the system registry.

Next Step ...


Step 5: Verify Sensor Installation

  1. Start PC-DMIS and open the original part program created in the previous step. PC-DMIS should be able to identify the probe that is currently on the system. Once you have a probe in your part program, you will see the Live View tab in the Graphics Display Window of PC-DMIS. It allows you to see real time data that is collected by the sensor.

  2. Switch to the Live View tab. It might take ten or twenty seconds to initialize the sensor so be patient. You should see a slightly skewed green trapezoid in the center of the window with a cross hair about two thirds the way to the top of the trapezoid. If you see anything else, PC-DMIS was unable to connect to the sensor and should give you an error message. If this happens, it usually means that the contour.dll file did not register correctly during installation. See the "Contour.dll Registration" topic.

Note: Another potential problem is duplicate CSGMain.bin files. Verify that there are no other copies of the CSGMain.bin file. If you do not have the correct version of CSGMain.bin, the sensor will not initialize. Delete (or rename) any other CSGMain.bin files not in the current install of PC-DMIS.

  3. Press the Live View button to start the scanner striping. The live image should update with the data being collected by the scanner. You can now use your scanner in PC-DMIS.

Note: If you are still having problems, call PC-DMIS support.

For additional information on how to use the scanner in PC-DMIS, please consult the PC-DMIS Laser online help.

For additional information on the Perceptron system, see the Perceptron documentation included with your PC-DMIS installation in the Perceptron sub-directory.

More:

Contour.dll Registration


Contour.dll Registration

To Manually Register the Contour.dll:

  1. Check that the power on the Perceptron Sensor controller box is on as well as the power to the arm.

  2. Open a command window (DOS prompt) and change to the Perceptron directory. This is a sub-directory of the main PC-DMIS install directory.

  3. Type the following on the command line “regsvr32 contour.dll”. After a few seconds you should get a message saying “Contour.dll registered successfully”.

  4. If the file does not register successfully, contact PC-DMIS support. Otherwise, restart PC-DMIS.


Calibrating a Romer Hard Probe

Calibration of a Romer Infinite probe is accomplished via the WinRDS software. PC-DMIS interfaces with WinRDS to acquire probe calibration data. Follow the steps found in the Arm Utilities User Guide document to calibrate your probe.

Perceptron Contour sensors are calibrated using the PC-DMIS Probe Utilities dialog box. See the "Calibrating a Perceptron Contour Sensor" topic for information on how this is done.


Calibrating the Perceptron Sensor

Once you have configured your Perceptron sensor, complete the following steps to calibrate your laser probe:

  • Step 1: Define the Laser Probe

  • Step 2: Calibrate the Laser Probe

  • Step 3: Check the Calibration Results


Step 1: Define the Laser Probe

  1. Open an existing part program, or create a new one.

  2. Select the Display Menu Roadmap Insert | Hardware Definition | Probe menu option to open the Probe Utilities dialog box (this dialog box will automatically appear whenever you create a new part program.)

Probe Utilities dialog box

  3. Define a probe configuration that uses the CONTOUR probe and the appropriate Romer arm inside the Probe Utilities dialog box. The type of Perceptron Contour probe is specified in the SetUp Options dialog box.

Next Step ...


Step 2: Calibrate the Laser Probe

The calibration process described in this step will vary depending on the type of "Measure Laser Probe Options" and the type of installed interface. Refer to the "Measure Laser Probe Options" topic for detailed information on calibration options. The following steps outline the procedure that would be used when you are first calibrating your laser probe:

  1. Select the tip that you defined in Step 1 from the Active Tip List box from the Probe Utilities dialog box.

  2. Click Measure from the Probe Utilities dialog box. This opens the "Measure Laser Probe Options" dialog box.

  3. Click Measure to begin the calibration procedure. If you are NOT using a Perceptron V5 sensor, skip to step 5. If you are using a Perceptron V5 sensor you will first be prompted to scan the entire range of the laser's Z depth on a flat target.

  4. Measure the Z-depth of your V5 sensor by doing the following:

    1. Place a white piece of paper on a flat surface where you will perform the flat target calibration.

    2. Hold the V5 sensor close to the flat surface so the scan line is beyond the laser's projected grid box.

    3. Press and hold the sensor's trigger while moving away to the full extent of the laser's range such that the laser line crosses the grid box to the other side.

    4. Release the trigger. This completes the flat target calibration.

  5. Follow any on-screen instructions and visual indicators from the Laser View to complete the sensor calibration on the sphere artifact. For each hit of the calibration, use the Laser View to align the red arc of the laser with the yellow arc (sphere's theoretical arc)so the form and size match as close as possible.

You will be prompted to take 30 hits comprised of:

  • 5 Positions around the sphere:

Position 1: The laser stripe should be horizontal along the side of the sphere as in the image below.

Position 2: Rotate the sensor 120 degrees around the sphere from Position 1.

Position 3: Rotate the sensor 120 degrees around the sphere from Position 2.

Position 4: Point the sensor straight down on the top of the sphere.

Position 5: Point the sensor straight down on the top of the sphere with the laser stripe located 90 degrees from Position 4.

  • 3 Sensor Fields (Far, Right, and Left) within the laser's range:

Field 1: Far | Field 2: Right | Field 3: Left

  • 2 Locations on the sphere's surface.

Location 1: 20 Degrees above the equator (mid-line) of the sphere.

Location 2: 20 Degrees below the equator (mid-line) of the sphere.

Next Step ...


Step 3: Check the Calibration Results

Click on the Results button in the Probe Utilities dialog box. The Calibration Results dialog box appears.

Calibration Results

PC-DMIS records several things from the calibration in this dialog box. Take a look at the maximum, average, and standard deviation values. The Average Error should be around 0.05mm. The Maximum Error should be around 0.15mm.

If the results look correct, click the OK button to close down the Calibration Results dialog box.

You are now done setting up and calibrating your laser probe. You should now have access to all laser-related functionality.


Using Romer Arm Buttons

There are two button configurations that exist:

Two Button Configuration:

2 Buttons are programmed for use by PC-DMIS (even though 3 buttons exist). The two buttons indicated in the image to the right perform the same function. See "Two Button Configuration"

Three Button Configuration:

3 Buttons are programmed for use by PC-DMIS. The buttons have color coded dots. See "Three Button Configuration"

Mouse Mode

PC-DMIS lets you place your portable device into "Mouse Mode". This special mode lets you perform standard mouse pointer actions (move the pointer, click or right-click, etc.) inside PC-DMIS by moving the arm and probe head around and pressing buttons to perform mouse "clicks". PC-DMIS interprets the motion as if you were using a standard mouse. This allows you to remain with your portable device rather than continually switching between device and computer.

If PC-DMIS is in Mouse Mode and you attempt to pick up and use your regular mouse, it will behave erratically. You should exit out of this mode prior to using your standard mouse functionality.

Mouse Mode functions outside of PC-DMIS but only if PC-DMIS remains running and minimized in the background.

See the "Two Button Configuration" and "Three Button Configuration" topics for more information on how mouse mode is used.


Two Button Configuration

The two modes for a two button configuration are discussed below:

Measure Mode

The following Measure Mode functions are available for the buttons indicated above:

1: DONE - Press < 1 second.

1: ERASE last hit - Hold > 1 second.

1: OPEN DRO - Hold > 1 second when there is no hit in the buffer.

1: TOGGLE DRO - Hold > 1 second when the DRO is already open. XYZ <-> XYZT. The "T" value is displayed.

2: HIT POINT - Press < 1 second.

2: PULLED HIT -Press, pull back, release with 1 second. See "Using Pulled Hits for Probe Compensation"

2: SCAN - Press, hold > 1 second, drag.

A: Buttons indicated by a circle with a red arrow perform the same function.

Mouse Mode

The following Mouse Mode functions are available for the buttons indicated above:

1: Mouse RIGHT Button - Used for popup menus.

1: PAN - Press and hold on the CAD model.

2: Mouse LEFT Button - Used for screen selections.

A: Buttons indicated by a circle with a red arrow perform the same function.

Switching Between Mouse Mode and Measure Mode

To switch to Mouse Mode: Press and hold the take hit button and then quickly press the done button (within the first second).

To switch to Measure Mode: Move the cursor to the top of the screen and press the middle button (left mouse button).

To toggle from either mode:

  1. Turn the "F" axis to the limit, then

  2. Turn the "E" axis 90 degrees.


Three Button Configuration

The two modes for a three button configuration are discussed below:

Measure Mode

The following Measure Mode functions are available for the buttons indicated above:

1: DONE - Press < 1 second

1: ERASE last hit - Hold > 1 second

1: OPEN DRO - Hold > 1 second when there is no hit in the buffer.

1: TOGGLE DRO - Hold > 1 second when the DRO is already open. XYZ <-> XYZT. The "T" value is displayed.

2: HIT POINT - Press < 1 second.

2: PULLED HIT - Press, pull back, release with 1 second. See "Using Pulled Hits for Probe Compensation".

2: SCAN - Press, hold > 1 second, drag.

3: TOGGLE Between Modes - Press < 1 second.

Mouse Mode

The following Mouse Mode functions are available for the buttons indicated above:

1: PAN - Press and hold the CAD model.

2: Mouse LEFT Button - Used for screen selections.

1+ 2: BOX ZOOM - Press and hold.

3: TOGGLE Between Modes - Press < 1 second.

3: ROTATE - Press and hold the CAD model.

Optional Methods for Switching Between Mouse Mode and Measure Mode

To switch to Mouse Mode: Press and hold the take hit button and then quickly press the done button (within the first second).

To switch to Measure Mode: Move the cursor to the top of the screen and press the middle button (left mouse button).

To toggle from either mode:

  1. Turn the "F" axis to the limit, then

  2. Turn the "E" axis 90 degrees.


Using a Romer Laser Sensor

When using a laser sensor on you Romer portable arm, you should use the information from this help file in conjunction with the information provided in the "PC-DMIS Laser" help file. The "PC-DMIS Laser" help file provides greater detail on measuring with a laser device.

See the "Portable Laser Probe Scanning" for information on manual scanning.

More:

Using Sound Events


Using Sound Events

Sound Events provide audible feedback in addition to the visual user interface. This allows you to perform measuring actions without needed to look at the PC screen. To access the Sound Events tab of the SetUp Options dialog box, select the Edit | Preferences | Setup menu item.

See "Calibrating the Perceptron Sensor" for more information on laser sensor calibration.

When working with a laser device there are Sound Event options that are particularly useful. They are:

Laser Manual Calibration Bottom: The associated sound is played when calibration measurements for a given field should be taken in the upper region (location) of the sphere.

Laser Manual Calibration Field Counter: The associated sound is played to indicate in which field calibration measurements should be taken.

  • 1 Beep - Measurement should be taken in the Far field.

  • 2 Beeps - Measurement should be taken in the Left field.

  • 3 Beeps - Measurement should be taken in the Right field.

Laser Manual Calibration Top: The associated sound is played when calibration measurements for a given field should be taken in the lower region (location) of the sphere.

Laser Probe Initialization End: The associated sound is played when at the end of the laser sensor initialization.

Laser Probe Initialization Start: The associated sound is played when at the beginning of the laser sensor initialization.

Laser Scan: The associated sound is played for each new step of the sensor calibration.


Using a Leica Laser Tracker

This section discusses the configuration and general usage of your Leica device with PC-DMIS. Refer to documentation provided by Leica for detailed information on configuring and using your Leica Tracker.

The following topics discuss using your Leica device with PC-DMIS:

  • Leica Laser Tracker: Introduction

  • Getting Started

  • Leica User Interface

  • Using Leica Utilities

  • Using Auto-Inspect Mode

  • Using Leica Probes

  • Using Bundle Alignments

  • Constructing Points for Hidden Point Devices


Leica Laser Tracker: Introduction

Leica Trackers are laser tracker-based portable CMMs used to take measurements using the Leica T-Probe or reflector. The portable Leica Tracker is a line of sight sensor that can be moved around the part to access different features. The Leica Tracker provides a “Walk-Around” solution to measure even hidden points.

The Laser Tracker takes measurements of single points or scans to create any feature type, similar to a traditional CMM.

Note: To use a Leica device with PC-DMIS you must have your portlock programmed with the Leica interface option.

Important: The Rotary Table portlock option MUST NOT be selected when you are using a portable device since it will cause problems with your portable device.

PC-DMIS supports the following Leica Laser Tracker Models:

LT500, LTD500, LT300, LT800, LTD800, LT700, LTD700, LT600, LTD600, LT640, LTD640, LTD706, LTD709, LTD840

PC-DMIS supports the following emScon version:

emScon version 2.4.666 or higher

PC-DMIS supports the following 6DoF systems:

T-ProbeII or T-ProbeI with FW 1.62 or higher (4 button support).

The information provided in the topics in this section were written specifically for Leica Laser trackers, but may be relevant to non-Leica trackers.


Getting Started

There are a few basic steps that you should take to verify that your system has been properly prepared before beginning the measurement process with your laser tracker.

To get started, complete the following steps:

  • Step 1: Install PC-DMIS Portable for Leica

  • Step 2: Connect the Leica Tracker

  • Step 3: Launch PC-DMIS and Configure the Leica Interface

  • Step 4: Customize the User Interface


Step 1: Install PC-DMIS Portable for Leica

  1. Connect your port lock (dongle) to your USB port. The portlock must be present during PC-DMIS installation.

  2. Execute setup.exe from the PC-DMIS Installation CD. Follow the on-screen instructions.

  • If Leica interface is programmed in your portlock, PC-DMIS will load and use the Leica interface when working on-line.

  • If All interfaces is programmed in your portlock (like a demo dongle), you may need to manually rename Leica.dll to interfac.dll. Leica.dll is found in the PC-DMIS install directory.

  3. Copy a shortcut of PC-DMIS online [image] and modify its target as follows:

C:\<PC_DMIS_INSTALL_DIRECTORY>\PCDLRN.exe" /portable:LEICA

This newly created shortcut will be used to launch PC-DMIS. This will open PC-DMIS with the additional Leica interface items. Do not launch PC-DMIS at this time.

Next Step...


Step 2: Connect the Leica Tracker

Communication with the Leica Tracker is accomplished using the TCP/IP protocol via a cross-over cable that is connected directly to the Leica Tracker Controller (LTC plus/base). This is the preferred method for connection, but you may also connect over your local area network (LAN). For detailed information about setting up your Leica Tracker hardware, see the Laser Tracker Hardware Guide that came with your tracker.

To connect to your Leica Tracker:

  1. Secure your tracker in the position from which you will first take measurements.

  2. Connect your tracker to the LT controller's "Sensors" and "Motors" ports.

  3. Mount the T-Cam (if you are using one) to the top of the tracker and connect T-Cam cable from the tracker to the LT controller.

  4. Attach the Meteo station to the serial port on the LT controller if you have one. The Meteo station is used to report environmental data to the LT controller.

  5. Directly connect your LT Controller to the computer where PC-DMIS is installed via a cross-over cable with RJ45 connecters. You may also connect the LT controller to the network (LAN) via a twisted-pair ethernet cable.

  6. Turn on the power to the LT controller which provides power to the Leica Tracker as well.

  7. Check the status display on the back of the LT controller. This provides information about the IP address (typically 192.168.0.1/255.255.255.0), name, emScon firmware version, and current operation. If your LT controller has a different IP address than the standard 192.168.0.1, do one of the following:

  • Change the IP Address from the "Options tab" of the Machine Options dialog box to the new IP Address of the controller.

  • Use the PC-DMIS Settings Editor and change the TrackerIPAddress entry to the new IP Address of the controller. See the "Editing PC-DMIS Registry Entries" section of the PC-DMIS Settings Editor help file for information on editing registry settings.

  8. Make sure that the IP address for the PC-DMIS computer is in the same subnet as the controller (e.g. if the LT controller has an address of 192.168.0.1, then you would need to assign an address between 192.168.0.2 and 192.168.0.254). You must avoid IP Address conflicts with other devices on the same network.

  9. Type PING 192.168.0.1 (or a different address of your controller) from the command prompt on the PC-DMIS computer to verify communication to the LT controller.

Important: The Leica Tracker should be powered on for at least 4 hours to ensure the most accurate measuring result. If you are not going to be using the laser for a while you should turn it off to conserve the laser's life-span. However, each time you turn it on, it takes 20 minutes to warm-up.

Next Step...


Step 3: Launch PC-DMIS and Configure the Leica Interface

Once you have correctly installed PC-DMIS and connected your Leica tracker, you are ready to launch PC-DMIS.

  1. Start PC-DMIS using the shortcut you created in Step 1. The Leica Tracker will initialize upon PC-DMIS startup. Initialization will cause the tracker to go through a series of movements to ensure proper functionality. If there are other issues that cause the Leica Tracker to not initialize correctly, the LT controller will send messages to PC-DMIS for display.

  2. PC-DMIS will warn you if the laser is still warming up (this takes about 20 minutes).

  3. Select the needed probe file from the Select Probe File dialog box.

  4. "Configure the Leica Interface" using Machine Options dialog box that is accessed using the Edit | Machine Interface Setup menu item.

Next Step...


Step 4: Customize the User Interface

Current Help System: PC-DMIS Portable (View Core Help)

  • Tracker | Station Management

  • Tracker | Initialize

  • Tracker | Go Birdbath

  • Tracker | Go 6DoF 0 Position

  • Tracker | Find

  • Tracker | Release Motors

  • Tracker | Laser ON/OFF

  • Tracker | Probe Comp. ON/OFF

  • Insert | Alignment | Bundle

  • View | Other Windows | Tracker Overview Cam

  • Tracker | Nivel | Start Orient to Gravity Process

  • Tracker | Nivel | Start Tilt Readout

  • Tracker | Nivel | Start Monitoring

  • Edit | Preferences | Machine Interface Setup

  • Operation | Take Hit

  • Operation | Start/Stop Continuous mode

  • Operation | End Feature

  • Operation | Erase Hit

  • Edit | Delete | Last Feature

  • File | Execute

  • File | Partial Execution | Execute Feature

  • File | Partial Execution | Execute From Cursor

  • Edit | Markings | Mark

  • Edit | Markings | Mark All

  • Edit | Markings | Clear All

  • Insert | Report Command | Create Viewset

  • Edit | Preferences | Setup

  • Edit | Command

  • File | Import | IGES (Alternate)

  • Operation | Graphics Display Window | CAD Equals Part

  • Operation | Graphics Display Window | Change Curve/Surface Mode | Curve

  • Operation | Graphics Display Window | Change Curve/Surface Mode | Surface

  • Operation | Graphics Display Window | Change Screen Mode | Program

  • Operation | Graphics Display Window | Change Screen Mode | Translate

  • Operation | Graphics Display Window | Change Screen Mode | Text Box

  • View | Other Windows | Probe Readouts

  • View | Other Windows | Status Window

  • View | Other Windows | Report Window

Step 4: Customize the User Interface

You can fully customize the colors, fonts, toolbars, and status bars of the PC-DMIS user interface to work optimally with your Leica Laser Tracker. Changing the following interface elements may prove helpful when measuring features at a distance from your computer monitor.

  • Fonts: Select the Edit | Preferences | Fonts menu item to change the fonts and font sizes for PC-DMIS.

  • Background: Select the Edit | Graphics Window Display | Screen Color menu item to alter the background color of the Graphics Display Window.

  • Menus: Select the View | Toolbars | Customize menu item, and select the Use Large Menus option from the Menu tab for large menus.

  • Toolbars: Select the View | Toolbars | Customize menu item, and select the Use Large Toolbars option from the Menu tab for large toolbars.

  • Status Bar: Select the View | Status Bar | Large menu item for large status bar.

  • Tracker Status Bar: Select the View | Status Bar | Tracker menu item to toggle the display of the Tracker Status Bar.

Note: The above settings are pre-configured and installed for the tracker interface.

Creating Customized Toolbars

Toolbars can be customized and exchanged between PC-DMIS installations. The toolbar.dat file is found in the <PC-DMIS Install Directory>/<user name> directory. Copy the toolbar.dat file to the other PC-DMIS installation to make the custom toolbars available.

Below are examples of useful toolbars for use with a Leica tracker [Click each toolbar to see the menu item locations]:

Standard Portable Tracker toolbars are delivered with PC-DMIS.

Customizing Open GL Settings

Adapt the Open GL settings for the solid view mode as required by the installed video card. To do this, select the Edit | Preferences | OpenGL menu item and make adjustments as explained in the "Changing OpenGL Options" topic in the core PC-DMIS help file.


Leica User Interface

When you have configured PC-DMIS to use the Leica Interface, additional menu options and status information is available in PC-DMIS.

PC-DMIS provides specific menu options as well as standard menu options that are available when using the Leica interface. Primarily there is a new "Tracker Menu" that has functions that are specific to Leica. Additionally there is a sub-menu with "Nivel Commands" for controlling the leveling and monitoring processes of the Nivel.

Also unique to the Leica interface are the "Tracker Status Bar", "Special Leica Controls" and the "Tracker Overview Cam".

There are also "Other PC-DMIS Menu Items" and "Other PC-DMIS Windows and Toolbars" that are common to PC-DMIS that are useful for Leica devices.

This section discusses only a few of the menu items that would be used with the Leica interface. Please refer to the core PC-DMIS help file for general information on using PC-DMIS.

More:

Tracker Menu

Nivel Commands

Trac ker Status Bar

Special Leica Controls

Using the Tracker Overview Cam

Other PC-DMIS Menu Items

Other PC-DMIS Windows and Toolbars

Customizing the Probe Readout

Useful Hotkeys for Trackers

Leica Parameters in Offline Mode


Tracker Menu

Station Management: Brings up the tracker Station Manager dialog box. For details see the "Adding and Removing Stations" topic.

Initialize: This command initializes encoders and internal components of the laser tracker. This command is automatically called when PC-DMIS first connects to the Laser Tracker (emScon) controller once the tracker is warmed up. The tracker goes through a series of movements to verify functionality.

Go Birdbath: The Leica Tracker points the laser to the BirdBath position. The beam is 'attached' to the reflector in the BirdBath and the interferometer distance is set to the known BirdBath distance. This command is especially important for LT series trackers without integrated ADM. For such trackers, there is no other way to set the interferometer distance.

With the laser pointed at the BirdBath position, this provides a known and convenient location at which you can recapture the beam. This may be necessary if the beam to the Reflector has been broken.

Go 6DoF 0 Position: The Leica Tracker points the laser in the opposite direction of the BirdBath position to the 6DoF 0 position. This provides a known and convenient location at which you can recapture the beam with the T-Probe.

Find: Searches for a reflector or T-Probe at the current laser position. The find function is performed based upon the Search Settings provided in the "Sensor Configuration tab".

Release Motors: Releases the horizontal and vertical tracker head motors in order to allow manual tracker head movement.

Laser ON/OFF: Toggles the laser to be on or off.

Important: Turning the laser on again requires about 20 minutes until it stabilizes!

Nivel: See "Nivel Commands".

Probe Comp ON/OFF: When the probe compensation is "on", PC-DMIS will compensate by the radius of the T-Probe tip or the reflector sphere. Consider turning probe compensation "off" when measuring points for a bundle alignment to measure the center of the reflector or if design data is already offset compensated.

Stable Probing ON/OFF: When stable probing is "on", PC-DMIS will automatically trigger a hit if you leave a reflector in a position for a specified time. This allows for hits to be taken, without using a remote control or interacting directly with the computer.


Nivel Commands

Start Orient to Gravity Process: Using the Nivel 20/230 device, PC-DMIS creates a gravity plane and then automatically creates a coordinate system based on the gravity plane information. Once the process has been completed, the monitoring process is started automatically.

Start Tilt Readout: Starts an X, Y tilt readout to bring the tracker into the working range of the Nivel by adjusting the Tracker base foot screws.

Start/Stop Monitoring: Starts/Stops Monitoring independent from the Orient to Gravity process.

See: "Orienting the Tracker to Gravity"


Tracker Status Bar

Tracker Status bar visibility can be toggled using the View | Statusbar | Tracker menu item.

  1. System Laser Status Indicator: This indicates the status of the Laser Tracker system.

  • Green (Ready): The system is ready to measure

  • Yellow (Busy): The system is currently measuring

  • Red (Not ready): The system is not ready to measure. This may be due to a broken beam or a T-Probe reflector mismatch.

  • Blue (6dof error): The camera cannot see enough LED’s on the device (usually t-probe) to accurately calculate the orientation of the probe.

  2. Active Station Indicator: Indicates which station is currently active. A double click onto the station Indicator opens the Station Manager dialog box.

  • Red (Not oriented): The station position is not computed yet.

  • Green (Oriented) The station position has been computed.

  3. Environmental Parameter Display: Shows the active environmental parameters: temperature, pressure, and humidity. If no weather station is connected, it is possible to double-click on the edit boxes to change their values.


Special Leica Controls

Tracker Head Movements: You can control the direction that the laser is pointing by using the Alt + left arrow, right arrow, up arrow, down arrow keyboard keys. Use Alt + Space to stop movement of the laser. The tracker motors must be engaged for these controls to work (Tracker | Release Motors - Alt-F12).

Point To: Use the pop-up menu that appears when you right-click on a feature in the Edit Window to Point To the feature's nominal position (Laser Pointer).

Move To: Use the pop-up menu that appears when you right-click on a feature in the Edit Window to Move To the features nominal position (Go Position).


Using the Tracker Overview Cam

The Leica T-Cam mounts to the top of your Leica Tracker and provides true depiction and calculation of the Target Device’s spatial position, with respect to the T-Cam/Tracker. The tracker provides the horizontal movement for the T-Cam.

This displays the view from the Overview Camera (T-Cam) which allows you to move the tracker head and easily find reflective targets.

To find a measured target using the T-Cam:

  1. Mount the T-Cam to the top of the Leica Tracker according to the "T-Cam Hardware Guide" provided by Leica.

  2. Select the View | Other Windows | Tracker Overview Cam menu item to open the View Camera dialog box.

View Camera dialog box showing view of a reflector

  3. Click Release Motor and approximately aim the camera at the target by moving the laser tracker head. The Overview Cam will move in relation to the movements that are made with the tracker head. When the camera/tracker laser are pointing at the target, click Release Motor again to re-engage the tracker motors.

  4. Adjust the Brightness, Contrast, Focal Length, and Frame Rate as needed to clearly see the target.

  5. Use the arrow keys to more precisely aim the laser at the intended target. Click Stop to stop any movement initiated by the arrow keys when the laser points to the target. You may also use the "Special Leica Controls" to aim the laser.

  6. Click Search to run the procedure that will automatically find the center of the target and lock the laser onto that position.

  7. Click Take Hit to measure the target's location. If you are unable to take a hit you may need to redo some or all of the previous steps to ensure that the laser is able to measure from the intended reflector.

  8. Use the Camera On button to toggle the display of the camera image.


Other PC-DMIS Menu Items

Operation Menu

End Feature (END): Tells PC-DMIS that the amount of hits for the feature has been reached and the feature can be calculated.

Erase Hit (ALT+-): Deletes the last measured hit.

Take Hit (CTRL+H): Measures a stationary T-Probe or Reflector position, based on the measuring time specified in the "Sensor Configuration tab" of the Machine Options dialog box.

Start/Stop Continuous Mode (CTRL+I): Starts/Stops a scan, based on the basic scan settings found on the Part/Machine tab of the SetUp Options dialog box (Edit | Preferences | Setup). The default value for Scanning Min Distance Delta provides a continuous distance separation of 2mm.


Other PC-DMIS Windows and Toolbars

The PC-DMIS core help file provides additional information that is relevant for using trackers. Review the following topics for the elements indicated in the image:

  1. Settings Toolbar: See "Settings Toolbar" in the "Using Toolbars" section from the core PC-DMIS help file. The third drop-down box displays Reflector and T-Probe compensations coming from emScon server (and additional ones manually defined, if any).

  2. Probe Readout: See "Setting Up the Readout Window" in the "Setting Your Preferences" section from the core PC-DMIS help file. Also, see the "Customizing the Probe Readout" topic for Leica specific settings.

  3. Edit Window: See the "Using the Edit Window" section from the core PC-DMIS help file.

  4. Quick Start Interface: See "Using the Quick Start Interface" in the "Using Other Windows, Editors, and Tools" section from the core PC-DMIS help file.

  5. Status Window: See "Using the Status Window" in the "Using Other Windows, Editors, and Tools" section from the core PC-DMIS help file.

  6. Tracker Status Bar: See the "Tracker Status Bar" topic.


Customizing the Probe Readout

The Probe Readout Setup dialog box has various options for working with Leica trackers. This topic discusses a few key options that relate to Leica tracker usage (See "Setting Up the Readout Window" in the "Setting Your Preferences" section from the core PC-DMIS help file).

To access the Probe Readout Setup dialog box, select the Edit | Preferences | Probe Readout Setup menu item. You may also access this dialog box directly from the Probe Readout window by right-clicking and selecting Setup.

Probe Readout Setup dialog box

Show Feature ID: Displays the Feature ID for the feature being executed, or the closest feature depending on the Display distance to closets CAD option.

Show Feature Type: Displays the type of feature corresponding to the feature being executed.

Show current probe position on screen: Displays a 3D representation of the current position on the Graphics Display window.

Show deviation arrow on screen: Displays a 3D arrow on the Graphic Display window indicating the direction of deviation. The tail of the arrow is always drawn to the probe location in inspect mode and the measured point in build mode.

Center Probe on graphic window: The graphical representation of the current probe will always be displayed at the center of the Graphics Display window.

Distance to Target: This is an execute only option. In execute mode, it shows the distance from the probe to the feature being executed or the closest feature depending on the Display distance to closets CAD option.

Distance to... Executing Feature or Closest Feature: This option allows you to display the currently executing feature ID or the feature ID for the closest feature to your current probe location. The distance to that feature will update according to the feature selected (executing or closest).

Target: Selecting Centroid will calculate the distance to the centroid of the feature. Selecting Surface/Edge point will calculate the distance to the point which is on the feature or CAD element and closest to the centroid.

Display Distance to closest CAD: Shows the distance from probe to closest CAD element.

Apply dimension color: This check box changes the colors of the deviation values (Distance to Target values) to match the out of tolerance dimension colors.

Show RMS: Displays the RMS value as hits are taken.

Inspect / Build mode: By default (Inspect mode), PC-DMIS displays the deviation (T) as 'Difference = Actual - Nominal'.

  • Build Mode: The general purpose is to provide real-time deviations between a real object and its nominal data or CAD model. This allows you to position your part as it relates to the CAD design data.

Selecting this option will display the distance and direction that you need to move the measured point to reach the nominal position or 'Difference = Nominal - Actual'.

Note: When you are moving the part into position, there are just real-time deviations displayed without storing any data (taking hits). After the part is positioned within a reasonable deviation (e.g. 0.1mm), you would typically measure (hits are taken) the final position of the feature.

  • Inspect Mode: In this mode, the position of an object (point, line of surface, etc.) is checked and compared with design data.


Useful Hotkeys for Trackers

When using a Leica tracker, the following Hotkeys are useful for remote control usage:

Go Birdbath | Alt+F8
Go 6DoF 0 Position | Alt+F9
Find | Alt+F6
Release Motors | Alt+F12
Probe Comp. ON/OFF | Alt+F2
Measure stationary point | Ctrl+H
Start/Stop cont. measurement | Ctrl+I
End Feature | End
Erase Hit | Alt+-


Leica Feature Parameters in Offline Mode

When using a Leica Tracker in online mode to generate feature commands, PC-DMIS automatically inserts the following information into the Edit window inside those feature commands:

  • RMS: Root Mean Squared value of each hit.

  • Probe Type: The type of probe used to measure the feature.

  • Time Stamp: The time the feature was executed or learned. PC-DMIS only updates this when it actually measures a feature in online mode.

  • Environmental Conditions: Information such as temperature, pressure, and humidity.

In offline mode PC-DMIS behaves differently. These Leica Tracker items only appear after you select the Show tracker parameters in offline check box on the General tab of the Setup Options dialog box. These parameters will only appear for new feature commands inserted into the part program after you have selected this option. Previously measured features will remain unaffected except for a permanent structure change adding in an empty Tracker Parameter group into each feature command.

Note: Selecting this check box performs a permanent change to your part program structure for inserted feature commands regardless of whether or not you later clear this check box. For example, if you clear this check box after you've already used it for some features, newly inserted features will still contain a Tracker Parameter group; although that group will not contain any group items.


Using Leica Utilities

The Leica interface provides new utilities that are specific to the Leica interface. This functionality is discussed in the following topics:

  • Initializing the Leica Tracker

  • Leveling to Gravity

  • Defining Environmental Parameters

  • Toggling the Laser and Probe Compensation

  • Resetting the Tracker Beam

  • Releasing Tracker Motors

  • Finding a Reflector


Initializing the Leica Tracker

When PC-DMIS is started, the Leica Tracker starts the initialization process, which performs a series of self checks by the Leica Tracker to verify that everything is working correctly. You may also initialize the Leica tracker by selecting the Tracker | Initialize menu item.

When you move the tracker to a new station for a "Bundle Alignment" it is necessary to re-initialize the tracker. When you turn the laser back on, you will also be required to initialize the tracker.

Important: It is strongly recommended that you initialize the encoders and internal components of your tracker 2-3 times a day. This is important due to thermal expansion of the tracker hardware, which has a direct influence on the measurement accuracy.


Orienting the Tracker to Gravity

The NIVEL inclination sensor is designed to be used with Leica Geosystems Laser Tracker series. The NIVEL mounts on the top of the sensor unit or on top of the Overview Camera / T-CAM in order to establish the parameters for the Orientation to Gravity. It is then mounted on a bracket to monitor the stability of the Laser Tracker.

See the "Nivel 230 Hardware Guide" provided with you Nivel sensor for detailed information on the configuration and use of the Nivel sensor. Leveling to gravity is not required, but does improve Leica Tracker measurement results.

To Level to Gravity and Monitor the Leica Tracker:

  1. Mount the Nivel sensor to the top of the Leica Tracker or the top of the T-Cam (if it is already mounted to the tracker). See the "Nivel 230 Hardware Guide".

  2. Connect the LEMO cable to the Nivel.

  3. Select the Tracker | Nivel | Start Tilt Readout menu item to display the Tilt Readouts window. The Tilt Readouts window helps by reading the Nivel measurement 3 times per second. The values can be maximized on the whole screen if needed.

Using the Tilt Readouts window to roughly level the tracker

  4. Using the Tilt Readouts window, level the Leica Tracker base and the Nivel according to the steps in the "Nivel 230 Hardware Guide".

  5. When the tracker it roughly leveled and brought into an acceptable working range, select the Tracker | Nivel | Start Orient to Gravity Process menu item. The laser tracker then performs Nivel measurements in all 4 Quadrants of the laser tracker and creates a generic plane feature and a leveled sensor coordinate system based on this plane.

Note: Any additional new alignments can use the gravity information if required.

  6. Once the procedure has been completed, PC-DMIS prompts you to move the Nivel to the monitoring position.

  7. Mount the Nivel to the monitoring position according to the steps in the "Nivel 230 Hardware Guide".

  8. Select the Tracker | Nivel | Start Monitoring menu item. This begins the process of monitoring the status of the Leica Tracker. The "Level To Gravity tab" of the Machine Options dialog box provides information about the leveled status. Every 60 seconds a reference Nivel measurement is made and compared with the original orientation.

Note: The Monitoring process is used to make sure that nobody moves or hits the tracker. It can be started explicitly if no Gravity plane is needed. In which case only the stability of the system should be monitored.


Defining Environmental Parameters

Temperature, pressure, and humidity affect the measurement values acquired by your Leica tracker. Compensation is provided for measurements based on the changes in these values which are used to calculate the refraction index of IFM / ADM.

You can use a Meteo Station to provide these values or you can enter these values manually if you do not have a Meteo Station. When the Meteo station is enabled, the refraction is calculated every 30 seconds. For changes that are greater than 5 ppm, the parameters are will be updated accordingly.

To manually alter these values either:

  • Edit the "Leica Environmental Parameters" from the Machine Options dialog box. If you have a Meteo station but would like to manually edit the values, deselect the Use Temperature Station option.

or...

  • Edit the Environmental values by clicking the value and typing the new value in the Status Bar. To view the Leica status bar, select the View | Status Bar | Tracker menu item.


Toggling the Laser and Probe Compensation

Laser Toggle

To toggle the Laser on and off, use the Tracker | Laser ON/OFF menu item. This allows you to preserve the laser's life-span (lasers last about 20,000 hours). There also may be time that you just don't want or need to have the laser on. The laser requires about 20 minute to warm-up before you begin using it.

Note: Once you turn the laser off, you will be required to wait for 20 minutes when you turn it back on. You will also need to re-initialize the Leica Tracker.

Probe Comp Toggle

To determine whether or not probe compensation is applied for a measured point, use the Tracker | Probe Comp. ON/OFF menu item. When this is "on", PC-DMIS will compensate by the radius of the T-Probe tip or the reflector sphere. Consider turning probe compensation "off" when measuring points for a bundle alignment to measure the center of the reflector or if design data is already offset compensated.


Resetting the Tracker Beam

If the laser beam from the Leica Tracker is broken and the tracker is unsuccessful in following the reflector or T-Probe location, it might be necessary to reset the position to which the laser is pointing. This allows you to recapture the beam at a known location.

This is mainly used for LT trackers which do not have an integrated ADM.

You can reset the laser to point to one of two positions:

  • Birdbath: Select Tracker | Go Birdbath to reset the laser to point to the Birdbath position. This is used when working with reflectors.

  • 6DoF: Select Tracker | Go 6DoF 0 Position to reset the laser position by pointing to the predefined T-Probe 0 position. This will allow you to catch the beam at that location. This is used when working with a T-Probe.

Use Case - You can use these options to catch the reflector again and bring the reflector or T-Probe to a stable position, this will re-establish a distance via ADM and allows you to continue…


Releasing Tracker Motors

You can release the Tracker Motors to allow you to manually move the Leica tracker to the desired location. This can be done by pressing the green "Motors" button on the LT controller or by selecting the Tracker | Release Motors menu item. Releasing motors can also be done from the View Camera dialog box or by pressing Alt-F12.


Finding a Reflector

The Find function allows you to search in a spiral pattern to find the actual location of a reflector or T-Probe.

To find a reflector location:

  1. Approximately point the tracker laser to the location of the desired reflector. This can be done by one or all of the following:

    • " Releasing Tracker Motors" and manually moving the laser to the location...

    • ... or by using the control buttons on the "ADM" tab of the Machine Options dialog box...

    • ...or by using the Overview camera ...

    • ... or by using the Alt + left arrow, right arrow, up arrow, down arrow keyboard keys to move the tracker head. Use Alt + Space to stop movement of the laser.

  2. Select the Tracker | Find menu item. The tracker will search in a spiral pattern and take readings until the reflector sends the signal back to the tracker. This will locate the position.

Note: This function can also be executed from the View Camera dialog box.


Using Auto-Inspect Mode

Auto-Inspect mode provides automated inspection of a sequence of points using a Leica tracker. This process is essentially the same as the typical point inspection process except for the fact that the process may run unattended as the tracker moves from one position to the next one automatically.

This process is often used for deformation measurements or repeated stability studies over a long time range. Each of the positions which are going to be auto inspected, are typically equipped with a separate reflector.

For example, some typical cases for Auto-Inspect might include:

  • Inspecting four points distributed over the full working range of the laser tracker. Those four points could be inspected automatically at the beginning and end of a part program to verify that the tracker position has not moved during the measurement process.

  • Checking the repeatability of ten reflector positions mounted to a large structure. For example, you could measure these ten points every 15 minutes over a time span of 24 hours.

To use Auto-Inspect mode:

  1. Open or Create a Part Program.

  2. Insert Manual/DCC mode command, and set it to DCC.

  3. Insert an On Error command by selecting the Insert | Flow Control Command | On Error menu item.

On Error dialog box

  4. Select the 'Missed Probe Hit' Error Type and the Skip Command option selected.

  5. Insert Points for each mounted reflector. To insert each point into your part program:

    1. Aim the tracker at the reflector.

    2. Press CTRL+H to take a hit.

    3. Press the end key.

  6. Execute program.

In execution mode, PC-DMIS will automatically measure each of these points as follows:

  1. The Leica tracker will point to the first point (position).

  2. The laser locks onto the positions if possible. If no reflector is there, or no reflector has been found with the current search settings, PC-DMIS will continue to the next feature.

  3. Measurement of the point it taken.

  4. The process is repeated (step 1 through 3) until all points have been measured or skipped.

For any points that were skipped, an error message "Reflector not Found" will be displayed to alert the operator to the problem(s). Corrective action can then be taken for skipped points. The error contains a message that there was an error, the feature ID for the error and coordinate location of the feature. The created report will also contain a message for any points that were skipped.


Using Leica Probes

Once PC-DMIS connects to the emScon server, all necessary probe files (*.prb) are automatically created from the available compensated probes in the emScon database (Reflectors and T-Probes). All created *.prb files are to be found in the PC-DMIS installation directory.

In rare situations it might be necessary to create additional customized probe files, this is possible with the Probe Utilities dialog box. This provides full flexibility when needed. See "Defining Probes" in the "Defining Hardware" section of the core PC-DMIS help file.

Review the following topics for information on using T-Probes or Reflectors:

  • Measuring Points with a T-Probe

  • T-Probe Button Assignments

  • Scanning with Reflectors

  • Tracker Feature Parameters


Measuring Points with a T-Probe

The T-Probe represents a free movable target device to measure with the Laser Tracker and the T-Cam simultaneously. The reflector in the center of the T-Probe is responsible for providing the initial distance measurement of the Absolute Distance Meter (ADM) and the tracking measurement of the Interferometer (IFM). It also receives system command and control signals from the tracker.

Note: See the documentation that came with your T-Probe for detailed information.

Ten (10) IR LEDs with unique IDs are distributed on the T-Probe to provide real-time feedback for measurement procedures. The T-Probe is working in either measurement mode or communication mode. Measurement mode provides that when the laser beam is locked on the reflector that measurements can be taken. Communication mode uses strobing sequences from the LEDs to communicate information back to the LT controller.

Before measurement can take place, the T-Probe battery indicator must be solid green (when connected to the tracker with a cable) or flashing green (using a battery without a cable), and the status indicator must also be green.

To Measure Points:

  1. Attach the needed stylus to the T-Probe.

  2. Switch on the power to the T-Probe.

  3. Capture the laser beam in the T-Probe reflector. The Leica T-Probe will automatically be detected by PC-DMIS. The serial number of the T-Probe, the stylus assembly and the respective mount is visualized in the Settings toolbar and in the Graphics Display window.

Detected T-Probe Serial Number 252, Stylus Assembly 506, Mount 1

  4. Move to the location of the point to be measured while maintaining the laser beam visibility.

  5. Record a hit or execute a scan according to the "T-Probe Button Assignments".

Note: If the RMS value for a hit is out-of-tolerance as defined by the "RMSToleranceInMM" value the action specified by the "RMSOutTolAction" will be executed. The available actions are: 0=Accept hit, 1=Reject hit, 2=Prompt to accept or reject hit. These two values are found in the "USER_Option" section of the PC-DMIS Settings Editor.


T-Probe Button Assignments

T-Probe Buttons

  1. Button 1 (A): Stationary Points

  • Click for less than 1 second - Measures a regular stationary point (duration as defined on the "Options tab"). The shank of the stylus is used to determine the probing direction.

  • Click for greater than 1 second - Measures a regular stationary point as a "Pulled Hit". To change the vector for the measured point, you can press this button and hold it while moving to a location that defines the vector. The vector is established by the representative line between the measured point and the release point location. See the "Options tab" topic for information about the parameters that affect the way that vectors are recorded.

  2. Button 2 (C): Currently no functionality

  3. Button 3 (B): Done/End

  • Click for less than 1 second - Ends Feature

  • Click for greater than 1 second - Displays Read out window or enables real-time 3D Distance to CAD. Deletes the last hit.

  4. Button 4 (D): Scanning Button - Pressing this button starts continuous measurement, while releasing it will stop measurement.

Changing Button Assignments

The standard button assignments of the T-Probe can be changed in the PC-DMIS Settings Editor if required. To do this, just change the number for each of the Leica button entries to the number of the desired T-Probe button. See the "Settings Editor" help file for more information on editing registry values.

IJK Behavior on T-Probe Points

If aligned to the part, PC-DMIS will always store IJK values perpendicular to one of the active coordinate system axes, except if using Point Only mode.


Scanning with Reflectors

Reflector definitions together with the surface offsets are automatically received from the emScon server and are all available from the Settings toolbar. There is no need to define any new probes once the standard reflectors are being used.

Once a reflector has been detected by the Tracker system, the Select Probe File dialog box appears, allowing you to select the appropriate reflector.

Probe compensation and offset direction

Quick Scanning

To scan a surface or feature using a reflector, you need to be in scan mode. To do this, select the Operation | Start/Stop Continuous Mode menu item to start continuous mode.

Continuous Mode allows incremental points to be taken for the reflector location. Scanning is executed by pressing Ctrl-I when using a reflector. Pressing Ctrl-I again will stop continuous scanning.

The Scanning Minimum Time Delta and Scanning Minimum Distance Delta can be set from the Part/Machine tab of the SetUp Options dialog box, accessed from the Edit | Preferences | Setup menu item. The default value for point distance separation is 2mm.

Advanced Scanning

There are many advanced scans possible like sections, multi-sections, etc. Available scans are created from the Insert | Scan menu. See "Performing Advanced Scans" in the "Scanning Your Part" section from the core PC-DMIS help file.


Tracker Feature Parameters

When measuring features with a tracker, additional parameters are added to the feature command in the Edit Window. The parameters found in the "Tracker Parameters" section include:

  • Time Stamp

  • Probe Name

  • Temp (temperature)

  • Press (pressure)

  • Humid (humidity)

  • RMS value (for each hit)

These values are also reflected in the report with a new tracker label.


Using Bundle Alignments

Bundle alignments are used for large or complex measurements where it is possible to create a number of stations in a common network by moving the same sensor to different positions around the object. As measurements are taken from different station positions around the object, measured information is bundled into one network. With all stations belonging to one single network, all measured data is part of the same coordinate system.

The decision to use more than one station needs to be made well in advance of taking measurements. In fact when planning for a station location, the following points should be taken into account:

  1. Points used for computing a network should have reasonable intersecting angles (40°-140°). In the example, station (2) should be located somewhere between the 40° and 140° angles in relation to the representative line between station (1) and the common measured points.

  2. Points used for computing a network have to be visible to more than one station (position). In the example, station (2) indicated with the green check mark will work, where station (2) with a red X will not work since the line of sight to the common features is blocked.

  3. The object points and the common points used for the network calculation must remain stable for the whole measuring process.

  4. Avoid station locations that do not vary significantly in position to other station locations.

The bundle adjustment is a least squares optimization. It takes the "bundles" of instrument pointings (measurements of each of the points included in the alignment) and makes successive "adjustments" to the network parameters until there is a best fit between the mathematical model of the network and the actual measurements.

A system may contain a single tracker which is moved to different stations, or you could have multiple trackers which may be moved to different stations. A station is defined as a location where the tracker is placed.

Note: Multiple trackers are not currently supported in PC-DMIS version 4.2

Note: Bundle Alignments are only used for Leica Tracker devices.

Select the Insert | Alignment | Bundle menu option to begin creating a Bundle Alignment. The following topics discuss the process of creating Bundle Alignments and moving stations in the Bundle Alignment:

  • Adding and Removing Stations

  • Setting Fit Options

  • Bundle Alignment Setup

  • Bundle Alignment Results

  • Bundle Alignment Command Text

  • Moving Bundle Alignment Stations


Adding and Removing Stations

The Station Manager dialog box is accessed by clicking Station Manager from the Bundle Alignment dialog box, selecting the Tracker | Station Management menu item or clicking the active station name in the Tracker Status Bar.

Station Manager dialog box

  • Click Add to add a new station to the Stations list in the part program.

  • Select an existing station form the Stations list and click Remove to remove that station from the part program.

  • Oriented: When the values are YES in the Oriented column then the station location and orientation has been computed.

  • Locked: When the values are YES in the Locked column the station will not allow any further measurements. A station becomes locked when the Tracker is moved from its position.

Note: The asterisk next to the station name indicates that it is the active station.

Note: No more than 99 stations are allowed in a bundle alignment calculation.


Bundle Alignment Setup

Bundle Alignment dialog box - Setup tab

Setting up the Bundle alignment entails associating "Bundle Alignment Features" that will be measured by multiple Leica Tracker stations. To do this:

  1. Select the check boxes next to the "Bundle Alignment Features" that you would like to include in the Bundle Alignment. Checked "Bundle Alignment Features" will be included in the bundle calculation. If this is the first (reference) station, you would select all of the features that you will measure in Step 3. Only "Bundle Alignment Features" that are added to the Active Station feature list will be measured when you click Measure.

Note: By clicking the station name at the top of the column, you can either select or deselect all the features under that column.

  2. Select the next station to use from the Active Station drop-down box. "Bundle Alignment Features" can be measured by some or all of the stations.

Note: Stations that are locked can not be selected as the active station.

  3. To define the features that will be measured by the Active Station when you click Measure, select them from the Features list and click the Move Right button [image]. This will add them to the list for the Active Station. To remove features from the Active Station feature list, select the feature and click the Move Left button [image].

  4. Click Measure to begin measuring the selected features from the Active Station. The Bundle Alignment is computed after the last measurement has completed.

  5. Review the "Bundle Alignment Results" via the Results tab.

  6. To re-compute the Bundle Alignment click Compute. This is only needed, when you don't like the "Bundle Alignment Results" and you want to modify certain parameters, such as which features to include (check boxes in the Features multi-column list box), or changing the Fit Options settings (like a balanced network). This will redo the computation based on the changed parameters without remeasuring.


Bundle Alignment Results

Bundle Alignment dialog box - Results tab

After you have measured and computed the configured Bundle alignment, you can verify the results on the Results tab. If you are satisfied with the results, click Create to insert the alignment into the part program. The alignment will be executed as defined during normal part program execution.

Interpreting Bundle Alignment Results:

Stations

  • ID: Name of the Leica Tracker station

  • XYZ: Shows the translated position of the station with respect to the origin station.

  • Rx Ry Rz: Shows the rotations about the origin station x, y, and z axes.

Features

  • ID: Name of the Part Program feature name.

  • Source: Station name from which the "Bundle Alignment Feature" was originally measured.

  • RMS: This is the root mean square error (average error) of the given "Bundle Alignment Feature".

  • Apex Angle: This provides the largest angle between two observations of a measured "Bundle Alignment Feature". If a "Bundle Alignment Feature" is measured from more than two trackers then the angle which is closest to 90 degrees is given as the Apex angle.

  • Pointing error: This is a measurement of the angular error for a given "Bundle Alignment Feature".

  • XYZ: Displays the XYZ location for the "Bundle Alignment Feature".

  • Dev XYZ: These values provide the deviation from the measurement taken from each individual station to the respective best-fitted value.

  • Dev 3D: This value provides the magnitude of the XYZ deviation.

Solution Status: This is either OK or FAILED indicating whether or not the algorithm was able to solve the bundle alignment.

RMS Error: The total RMS error of ALL of the "Bundle Alignment Features".

Variance: The variance of ALL the "Bundle Alignment Features" combined.

Warnings: Specific messages are provided to assist in making adjustments to the Bundle Alignment Solution.


Setting Fit Options

Click Fit Options from the Bundle Alignment dialog box to open the Fit Options dialog box.

Fit Options dialog box

Typically, the default options (shown above) will be used. Select from the following options to determine how the Bundle Alignment solution is calculated:

  • Normal Solution: Computes the orientation of each station and each "Bundle Alignment Feature" based on the current orientation of the stations and common "Bundle Alignment Features".

  • Recalculate all: This recomputes the orientation of "Bundle Alignment Features" and stations disregarding current orientation of stations and common "Bundle Alignment Features".

  • Keep oriented stations fixed: Previously oriented stations will remain unchanged and only the last station will be recomputed. The common "Bundle Alignment Features" will be recomputed.

  • Keep points and oriented stations fixed: Both previously measured stations and the common "Bundle Alignment Features" will remain fixed.

  • Balanced network: This is used to “balance” the system so that a single station is not constrained to be the origin.

  • Blunder Analysis: This option makes the bundle program display the orientation results as computed by the approximation computations, before any adjustment is carried out. This is the best time to detect blunders, because blunders distort the parameters (coordinates and station parameters); the earlier blunders are detected, the better they can be identified.


Bundle Alignment Command Text

BUNDLE ALIGN/ID = 1,SHOW DETAIL = TOG1

FIT OPTIONS/TYPE = TOG2,BALANCED = TOG3,BLUNDER ANALYSIS = TOG4

MEASURE FEATURES/PNT1,PNT2,PNT3,

BUNDLED FEATURES/

STATION = 1,PNT1,PNT2,PNT3,PNT4,

STATION = 2,PNT1,PNT2,PNT3,,

STATION = 3,PNT1,PNT2,PNT4,,

STATION =

  • ID: This field provides the active station number. This is the station from which "Bundle Alignment Features" will be measured.

  • TOG1 (SHOW DETAIL = YES/NO): When this value is set to YES, a detailed listing of the Bundle Alignment is displayed in the Edit Window. By default, this value is set to NO, which will not display the FIT OPTIONS.

  • TOG2 (FIT OPTIONS/TYPE = type): Choose one of four available Fit Options: NORMAL, POINTS AND STATIONS FIXED, RECALCULATE ALL, and STATIONS FIXED. See "Setting Fit Options".

  • TOG3 (BALANCED = OFF/ON): When this value is set to ON, a balanced network solution is used. By default, this value is set to OFF. See "Setting Fit Options".

  • TOG4 (BLUNDER ANALYSIS = OFF/ON): When this value is set to ON, Blunder Analysis is used. By default, this value is set to OFF. See "Setting Fit Options".

  • MEASURE FEATURES: Lists "Bundle Alignment Features" that will be measured for the active station number.

  • BUNDLED FEATURES: Lists stations and the "Bundle Alignment Features" that are included in the Bundle Alignment computations.


Moving Bundle Alignment Stations

To move to a new Bundle Alignment station:

  1. Measure all the features that can be measured from the first tracker position.

  2. Create new station by selecting the Tracker | Station Management menu item of by clicking in the station name of the Tracker Status bar.

  3. Click Add to add a new station to the Stations list and then click Close.

Note: Make sure that if using points, the probe compensation has been turned off prior to inserting a bundle alignment command.

  4. Select the Insert | Alignment | Bundle menu item to insert a Bundle alignment command. All point reducible features like points, circles and spheres are displayed under Station 1 and can be selected to be part of the bundle alignment.

Bundle Alignment dialog box showing measured features under Station 1

  5. Select the next station (created in step 3) to where you will be moving the tracker from the Active Station combo box.

  6. Select the check boxes next to the features in the column of the first tracker position that should be used for the bundle alignment at the next station position.

  7. Click [image] to add the selected features to the Active Station edit box for the next station.

Features selected from the first station added to the next Active Station

  8. Physically move the Tracker station to the new Active Station position.

  9. Click Measure and the Execution Mode Options dialog box will guide you through the available bundle measurements for the new Active Station.

Note: The Status bar indicates that the station is not yet oriented in the bundle network.

  10. Review the overall results from the "Results Tab" once all necessary features have been measured. The results for the measured features provides source station, orientation, RMS errors and variance.

Results tab after measuring features from the new Active Station

  11. If Solution Status reads OK, Clicking OK inserts a bundle alignment command into the part program. The new station is now oriented and available in the network.

Note: If necessary, certain features can be excluded from the actual bundle computation and recomputed on the setup tab.

  12. Complete the previous steps if you are moving to the next station position.


Constructing Points for Hidden Point Devices

PC-DMIS supports the use of "hidden point adapters" from Leica. This is accomplished by constructing a point from two point inputs and an offset distance. The two points are measured via two reflectors that are mounted along the adapter at specific locations.

After measuring two points, you can construct a point at a specified distance (offset) from the second point along the vector created between the two input points.

To construct this point:

  1. Access the Construct Point dialog box (Insert | Feature | Constructed | Point).

  2. Select the Vector Distance option from the list of options.

  3. Select the first feature.

  4. Select the second feature.

  5. Specify a distance in the Distance box. You can type a negative value to construct the point between the two input features.

  6. Click the Create button. PC-DMIS will construct a point at the specified distance from the second input feature along the line from the two features.


Creating Alignments

Alignments are key to setting the coordinate origin and the X,Y, Z axes. This section discusses alignments commonly used with portable device. For information on other alignment methods, see the "Creating and Using Alignments" section of the PC-DMIS Core help file.

  • Quick Start Alignments

  • 6 Point Alignment

  • Nominal Point Best Fit Alignment

  • Performing a Leapfrog Operation


Quick Start Alignments

There are various alignments that can be created using the Quick Start interface with your portable device. The basic alignment examples provided here relate directly to Leica reflectors and T-Probes, but the principles are the same for all portable devices.

Example Plane-Line-Point Alignment with CAD and Reflectors

  1. Import a CAD model. See "Importing Nominal Data".

  2. Select Alignments | Plane/Line/Point from the Quick Start interface.

Quick Start showing Plane-Line-Point Alignment

  3. Follow the instructions provided by the Quick Start interface to measure the alignment features.

IMPORTANT: While not aligned yet to your part, make sure to use the "Pulled Hits Method" to take measurements. See the "Options tab" topic in the "Leica Interface" section for more information on "pulled hits".

Take Hit (Ctrl-H) stores the current stationary measurement internally. After moving the vector distance, PC-DMIS calculates the IJK vector between the first and second point and compensates the offset of the resulting point accordingly.

Vector Distance depicted for reflector movement

Example Plane-Line-Line Alignment with CAD and T-Probe

  1. Import a CAD model. See "Importing CAD Data or Program Data" in the "Using Advanced File Options" section from the core PC-DMIS help file.

  2. Switch to Program Mode [image] and select the appropriate mode for your CAD data:

  • Curve Mode: Used for CAD with curve and point data.

  • Surface Mode: Used for CAD with surface data.

  3. Select Alignments | Plane/Line/Line from the Quick Start interface.

  4. Follow the instructions provided by the Quick Start interface to measure the alignment features in Programming Mode.

Measuring Alignment Features with a T-Probe

  5. Once the Program is completed, execute it by pressing CTRL-Q or by selecting the File | Execute menu item.

IMPORTANT: While not aligned yet to your part, make sure to use the "Pulled Hits Method" to take measurements. See the "Options tab" topic in the "Leica Interface" section for more information on "pulled hits".

Creating Alignments Offline

It is also possible to create an alignment offline using features that were previously measured by selecting features from the Edit Window instead of measuring them using the Quick Start interface.


6 Point Alignment

The 6 Point Alignment allows you to perform an iterative 3D Best Fit alignment. The following steps outline a typical procedure that would be used to establish a 6 Point Alignment:

  1. Measure three points on the top surface to level to the Z Axis.

  2. Measure two points on the front surface to rotate to the X Axis.

  3. Finally, measure one point to define the origin for the Y axis.

  4. Click Finish. This will establish the correct origin for the alignment.

PC-DMIS inserts the Best Fit 3D Alignment. Following execution, PC-DMIS will display a 3D Alignment Best Fit Graphical Analysis in the Report window.

A Sample Best Fit Alignment Graphical Analysis

This graphical analysis of the 3D Best Fit alignment displays this information in the Report window:

Header: This contains various values used in the Best Fit alignment: Method, Standard Deviation, Mean, Translation offsets, Rotation offsets, Max iterations, Iterations.

Vertical Axis: This shows the amount of deviation after the alignment.

Horizontal Axis: This displays the IDs of the points used in the alignment.


Nominal Point Best Fit Alignment

To create a Nominal Point (N-Point) Best Fit Alignment:

  1. Create or Import Nominal Point Data. See "Importing Nominal Data".

Note: If Nominal Data is being used for Leica Reflector offsets and supports, make sure probe compensation option command is turned off and inserted before the points in the part program.

Edit Window - Probe Compensation inserted before nominal points

  2. Execute the part program by pressing CTRL-Q or by selecting the File | Execute menu item.

  3. The Execution Mode Options dialog box is displayed and guides you through the remaining measurements. Points can be skipped if necessary. Once all measurements have been completed, the dialog box closes.

Execution Mode Options dialog box

  4. Insert a BestFit alignment by selecting Alignments | Align Free from the Quick Start interface of by selecting the Insert | Alignment | New menu item. The Alignment Utilities dialog box is displayed.

Note: The Alignment Utilities dialog box provides the most flexible way to create alignments but requires some experience.

  5. Click Best Fit.

  6. Select all features that should be used in the BestFit alignment.

Best Fit Alignment dialog box - Selecting Features

  7. Exclude nominals for axes of selected input features for which theoretical values are not known. This is done by selecting "NO" under the axis column that should be excluded. This is useful in cases where you only know the theoretical values for one or two of the axes rather than all three.

  8. Make sure that the correct options are set. In this example a Least Squares 3D alignment is created. By default, 3 Dimensional Orientation is selected for trackers.

Alignment Options

  9. Press OK to compute the best fit alignment and insert the command into the part program. Overall results of the transformation are displayed in the standard PC-DMIS Report. The report uses the Enhanced BFAnalysis activeX control plus a new label. This new control adds a grid of results of each input before and after the alignment as well as the axes that were used in the calculations.

Since the alignment command comes after the measured features in the part program, the measured points are still presented in the previous coordinate system. To get the contributing point deviations in the newly created active coordinate system, insert Location dimensions into the part program after the alignment command.


Performing a Leapfrog Operation

The Leapfrog alignment allows you to move your portable CMM in order to measure parts that outside the extents of your current arm location. You should be aware of machine accuracy limitations before using this method.

The basis for leapfrog is to measure a series of features and then after moving the machine re-measure the same features in the same order. This creates a transformation and makes the machine behave as if it were the same coordinate system before the move.

The transformation is independent of all part programs and affects the way the CMM reports to PC-DMIS. To remove a previously used Leapfrog transformation you must reset the Leapfrog by using the Reset button on the dialog box.

Leapfrog is available for some portable machines. Currently these include ROMER, Axila, Faro, Garda, and GOM. Your hardware key (portlock) also needs to be programmed to support your portable machine.

The Display Menu Roadmap Insert | Alignment | Leapfrog menu option brings up the Leapfrog / Relocation dialog box.

Leapfrog / Relocation dialog box

Leapfrog / Relocation dialog box

Prior to PC-DMIS version 4.2, Leapfrog transformation information was stored in a separate file and was thereby independent of all part programs. This meant the Leapfrog was still active in newly created part programs and you had to remove it by clicking the Reset button on the Leapfrog / Relocation dialog box. In version 4.2 and later, however, this has changed. Leapfrog transformation information is now stored with the part program that used the Leapfrog operation; you no longer have to remove the Leapfrog from new part programs.

A Leapfrog command is entered into the Edit window when the Accept button is clicked.

The command line in the Edit window would read:
LEAPFROG/TOG1, NUM, TOG2

TOG1: This first parameter in the Leapfrog command is a toggle field that relates to the three types available in the Measure 3 area of the dialog box. These types include:

  1. SPHERES (Measure 3 Spheres option)

  2. Point Sets (Measure 3 Points Sets option)

  3. POINTS (Measure 3 Points option)

  4. DATUMS (Measure Datums option)

There is also an OFF value for this parameter, in which case the other two parameters will not be displayed. The OFF value will turn off leapfrog translation

NUM: This second parameter in the Leapfrog command is the number of hits you want to take. This corresponds to the Hits box in the Leapfrog dialog box.

TOG2: This last parameter in the Leapfrog command is a toggle field allowing you to switch between either a FULL or PARTIAL leapfrog. This parameter corresponds to the Half Relocation option in the dialog box.

When this command is executed you will be prompted to take your hits, and after all the hits are taken, a leapfrog translation will be in effect.

More:

Measure Options

Number of Hits

Half Relocation

Datum Program File

Available and Used Lists

Measure Marked

Measure All

Results area

Reset

Accept

OK


Measure Options

The available Measure option buttons allow you to select what method PC-DMIS will use to perform the translation comparison.

  • The Measure 3 Spheres option tells PC-DMIS to use spheres as the features for translation comparison. This method uses the center of each measured sphere.

  • The Measure 3 Point Sets option tells PC-DMIS to use the centroid of a set of points. It is recommended that you use the bottom of an inverted cone with a hard probe . This method is slightly more accurate than the spheres method and much quicker for the operator.

  • The Measure 3 Points option tells PC-DMIS to use only three points and is the least accurate of the three methods.

  • The Measure Datums option tells PC-DMIS to use existing datum features from a part program of your choice. Because the datum features are already assumed to have been measured in your existing part program, you only need to measure them after relocating your machine.


Number of Hits

The Number of Hits box allows you to specify the number of hits you wish to use for each feature. Of course this will not be used in the point method.


Half Relocation

The Half Relocation check box lets you determine whether or not PC-DMIS performs a FULL RELOCATION (FULL LEAPFROG) operation (if not selected) or performs a PARTIAL RELOCATION (PARTIAL LEAPFROG) operation (if selected).

Relocation simply refers to moving the portable measuring machine to a new location.

  • Doing a full relocation (clearing this check box) means you would need to measure something before you move the portable machine and then re-measure some or all of those items after moving the machine. Remeasuring allows PC-DMIS to determine the new location of the machine.

  • A half relocation (selecting this check box) means you move the portable machine first and then measure the datum features.


Datum Program File

This area lets you specify what program file to use as the datum program file. This box becomes enabled when you click the Measure Datum Features option button. You can type the full pathway to the part program (.PRG) file or you can use the Browse button to navigate through your directory structure and select one that way.

Once you select a file, the features available for use in the Leapfrog operation appear in the Available list.


Available and Used Lists

Available and Used lists

Available and Used lists

The Available and Used lists display, respectively, datum features that are available for use or datum features that you have chosen to use in the Leapfrog operation.

Available List

When you select a program file to use in the Datum Program File area, the available features from that program file appear in the Available list. You can then assign features to the current Leapfrog operation by selecting them and then clicking the >>> button.

Used List

Assigned features that appear in the Used list will be measured when you click the Measure Marked or Measure All buttons in the order that they appear in the Used list. You can remove them from the Used list by clicking the <<< button. You can change a feature's order of execution by selecting a feature clicking the up or down arrow buttons.


Measure Marked

The Measure Marked button only functions when you use the Measure Datums option. It allows you to measure any selected features from the Used list. PC-DMIS will use these features in the Leapfrog operation. When you click this button, PC-DMIS displays the Execution Mode Options dialog box, prompting you to measure the selected features once you have moved the CMM, not before.

The results box will display the 3D distance between the features taken before the move and after the move of the CMM. If you find the results unsatisfactory then you may re-measure the last set of features again as the button will now read: Re-measure.

Note: After you move the CMM, there is not a way to revert to the previous alignment. If the Leapfrog results are unsatisfactory after the Re-measure process, you must reset the Leapfrog and restart the entire part inspection process by executing the part program from the initial alignment. The physical limitation of using a single CMM device makes this condition possible for all relocation methods. You should take great care during the execution of any relocation procedure.


Measure All

The Measure All button lets opens the Execution Mode Options dialog box.

  • If you are using Measure 3 Spheres, Measure 3 Point Sets, or Measure 3 Points, then this dialog box will first prompt you to measure the three features before prompting you to move the CMM. After moving the machine, you will be prompted to re-measure the same features in the same order.

  • If you are using Measure Datums, then the Execution Mode Options dialog box prompts you to measure all the datum features once you have moved the CMM, not before.

The results box will display the 3D distance between the features taken before the move and after the move of the CMM. If you find the results unsatisfactory then you may re-measure the last set of features again as the button will now read: Re-measure.

Note: If the re-measure process proves unsatisfactory, then you must reset the leapfrog and start again from the beginning. This is a problem with all leapfrog systems and should be remembered.


Results area

Results area

The Results area shows the deviations between the machine's first position and its subsequent position(s) by displaying the 3D distance between the features taken before the move and after the move of the CMM.


Accept

Once you have a filled out the Leapfrog / Relocation dialog box, you must click the Accept button from the Results area before the leapfrog transformation will be used. Clicking Accept will add the LEAPFROG command to the part program. If you don't click the Accept button but click the X in the upper-right corner or click OK first, the constructed leapfrog translation will be lost.


Reset

The Reset button removes any translation by adding a LEAPFROG/OFF command into the Edit window.


OK

Clicking OK closes the Leapfrog / Relocation dialog box. If you click this button before clicking the Accept button, the dialog box will close without inserting the LEAPFROG command.


Measuring Features

Adding measured features using portable devices is typically accomplished by means of the Quick Start interface. As you take hits on the part, PC-DMIS interprets the number of hits, the hit vectors, etc to determine the feature that should be added to the part program.

The supported Measured Features are: Point, Line, Plane, Circle, Cylinder, Cone, Sphere, Round Slot, and Square Slot. From the Measure toolbar you can also add manual scans or create features in guess mode.

For detailed information on creating Measured Features see "Inserting Measured Features" in the PC-DMIS CMM help file. Additional information for measured features can be found in the "Creating Measured Features" topic in the PC-DMIS Core help file.

You can also create Auto Features using portable devices. See "Creating Auto Features" in the PC-DMIS CMM help file. Additional information for auto features can be found in the "Creating Auto Features" topic in the PC-DMIS Core help file.

More:

A Note on Thickness Type: None


A Note on Thickness Type: None

When measuring auto features using a portable arm machine, the thickness type of "None" will still apply the thickness value if specified. The thickness is applied to shank style measurement. When using a shank probe for measurement, you use the cylindrical shank of the probe to measure instead of the probe tip. To do this you need to first define sample hits. PC-DMIS can then determine the location of the supported feature (Circles, Ellipses, Slots, and Notches) using the shank.


Portable Hard Probe Scanning

PC-DMIS Portable allows you to scan features using one of six manual scanning methods. Measured points are collected as fast as they are read by the controller during the scanning process. Once the scan is complete, PC-DMIS will offer you an opportunity to reduce the collected data based on the scanning method selected. You must have PC-DMIS configured for using a hard probe for these scanning types to be available.

To begin creating manual scans, place PC-DMIS into Manual mode [image] and then select one of the available manual scan types from the Scan (Insert | Scan) submenu. These include:

  • Fixed Distance

  • Fixed Time/Distance

  • Fixed Time

  • Body Axis

  • MultiSection

  • Manual FreeForm

The appropriate manual scan dialog box will open. For information on the options available in the Scan dialog box, the dialog box used to perform these scans, see the "Common Functions of the Scan Dialog Box" in the PC-DMIS Core help file.

When creating Auto Features, sample hits can be taken using a manual scan. See "Scanning for Auto Feature Sample Hits".

More:

Rules for Manual Scans

Scanning for Auto Feature Sample Hits

Performing a Fixed Distance Manual Scan

Performing a Fixed Time Distance Manual Scan

Performing a Fixed Time Manual Scan

Performing a Body Axis Manual Scan

Performing a Multisection Manual Scan

Performing a Manual Freeform Scan


Rules for Manual Scans

This topic discusses rules governing manual scanning using a hard probe on a portable device.

Rules for Manual Scans in General

The following description lists the rules that you need to follow to have manual scanning compensate correctly and with greater speed on Arm CMMs.

  • You should not lock any axis during the scan. PC-DMIS takes the scan by crossing the probe over a keyed in Body Axis location. Each time the probe crosses this given plane the CMM takes a reading and passes it to PC-DMIS.

  • On this type of scan you must type the InitVec and the DirVec values in the Part Coordinate System . This is required to work together with the Body Axis location.

  • Make sure you type the Body Axis in the Part Coordinate System.

When multiple rows of manual scans are being done, we recommend that every other scan line be reversed.

For example (continuing the scan of the sphere as outlined above):

    1. Begin the scan along the surface in the +X direction.

    2. Move to the next row and scan along the -X axis.

    3. Continue to switch the direction of the scan as needed. The internal algorithms depend on this kind of regularity and could give poor results if the scheme is not followed.

Compensation Limitations

With Fixed Distance, Fixed Time / Distance, and Fixed Time scan, PC-DMIS automatically lets you take manual hits in a three-dimensional manner, in any direction. This is useful when scanning using free moving manual CMMs (such as a Romer or Faro arm) whose axes cannot be locked.

Since you can move the probe in any direction, PC-DMIS cannot accurately determine the proper probe compensation (or the Input and Direction vectors) from the measured data.

There are two solutions to the compensation limitations:

  • If CAD surfaces exist, then you can select FINDNOMS from the Nominals list. PC-DMIS will attempt to find the nominal values for each measured point in the scan. If the nominal data is found, then the point will be compensated along the found vector, allowing proper probe compensation; otherwise, it will remain at Ball Center.

  • If CAD surfaces do not exist, then probe compensation will not occur. All data will remain at Ball Center with no probe compensation occurring.


Scanning for Auto Feature Sample Hits

If you measure an Auto Feature that uses sample hits, PC-DMIS will prompt you to take those sample hits during part program execution. Instead of taking just a few individual hits with your portable arm, however, you can now scan the surface with the probe to retrieve multiple hits very rapidly on each surface. This helps to improve your accuracy.

Some features, such as an Auto Circle have one sample plane. Other auto features such as Auto Angle Point or Auto Corner Point have multiple sample planes. To scan a surface, simply press the button on your portable machine that begins retrieving hits from the controller, then pass the probe over the surface for as long as you like, PC-DMIS will read in multiple hits. When you release the button and finish scanning the surface, PC-DMIS will prompt you to take the next set of sample hits on the next surface. Continue this process until you have scanned all necessary sample hits on all surfaces.

Rules of Scanning for Sample Hits

  • You cannot scan for multiple sample planes in one scan segment. In other words, you can’t scan sample hits around corners. When you scan for sample hits, each scan must remain on a single surface. If a feature needs sample hits from more than one surface, such as a corner point feature that uses three surfaces, each surface needs its own scan.

  • You cannot scan for sample hits and then measure a feature using the same scan segment. When scanning sample hits prior to actually scanning the feature to measure it, you should perform a scan segment for each surface needing sample hits, and then a separate scan segment for the actual feature measurement.

  • When scanning the actual feature, not the sample hits, you can perform the feature measurement in a single scan. For example, for an Auto Square Slot you will scan all four sides in one continuous segment.

For information on Auto Features and sample hits, see the "Creating Auto Features" section of the core PC-DMIS help file.

Registry Entries for Hard Probe Scanning

There are several registry entries in the PC-DMIS Settings Editor that control how when points are read into PC-DMIS from your portable arm's controller. The following entries are located in the HardProbeScanningInFeatures section:

  • MinDeltaBetweenPointsInMM - This sets the minimum distance (in millimeters) that your probe must pass before a new hit gets sent from the controller to PC-DMIS.

  • MinTimeDeltaBetweenPointsInMilliseconds - This sets the minimum time (in milliseconds) that must pass before PC-DMIS takes a new hit.

  • MaxPointsForAFeature - This sets the maximum number of points needed for a feature. Any points read into PC-DMIS from the controller beyond this maximum number are ignored.

For information on these entries, launch your PC-DMIS Settings Editor and press F1 to access its help file. Then navigate to the appropriate topics.


Performing a Fixed Distance Manual Scan

The Fixed Delta method of scanning allows you to reduce the measured data by setting a distance value in the Distance Between Hits box. PC-DMIS will start from the first hit and reduce the scan by deleting hits that are closer than the distance specified. The reduction of hits happens as data comes from the machine. PC-DMIS only keeps the points that are set apart by more than the specified increments.

Example: If you have specified an increment of 0.5, PC-DMIS will only keep hits that are at least 0.5 units apart from each other. The rest of the hits from the controller are discarded.

See the "Common Functions of the Scan Dialog Box" topic of the PC-DMIS Core help file for information on this tab's other controls.

To Create a Fixed Distance (Delta) Scan:

  1. Select the Display Menu Roadmap Insert | Scan | Fixed Distance menu option. The FIXED DELTA dialog box appears.

Fixed Delta dialog box

FIXED DELTA dialog box

  2. Specify a custom name for the scan in the ID box, if you don't want to use the default name.

  3. In the Distance Between Hits box, type the distance that the probe will need to move before PC-DMIS takes a hit. This is the 3D distance between points. For example, if you 5, and your units of measurement is millimeters, the probe has to move at least 5 mm from the last point before PC-DMIS accepts a hit from the controller.

  4. If you're using a CAD model, type a Find Nominals tolerance in the Find Nominals Control area. This defines how far away the actual ball center point can be from the nominal CAD location.

  5. Set any other dialog box options as needed.

  6. Click Create. PC-DMIS inserts the basic scan.

  7. Execute your part program. When PC-DMIS executes the scan, the Execution Options dialog box appears and PC-DMIS waits for data to come from the controller.

  8. Manually drag the probe over the surface you want to scan. PC-DMIS will accept hits from the controller that are separated by any distance greater than the distance you defined in the Distance Between Hits box.


Performing a Fixed Time Distance Manual Scan

Current Help System: PC-DMIS Portable (View Core Help)

Performing a Fixed Time / Distance Manual Scan

The Fixed Time / Distance (Variable Delta) method of scanning allows you to reduce the number of hits taken in a scan by specifying the distance the probe must move as well as the time that must pass before additional hits can be accepted by PC-DMIS from the controller.

See the "Common Functions of the Scan Dialog Box" topic of the PC-DMIS Core help file for information on this tab's other controls.

To Create a Fixed Time / Distance (Variable Delta) Scan:

  1. Select the Display Menu Roadmap Insert | Scan | Fixed Time / Distance menu option. The VARIABLE DELTA dialog box appears.

Variable Delta dialog box

VARIABLE DELTA dialog box

  2. Specify a custom name for the scan in the ID box, if you don't want to use the default name.

  3. In the Time Delay Between Reads box, type the time in seconds that will need to elapse before PC-DMIS takes a hit.

  4. In the Distance Between Hits box, type the distance that the probe will need to move before PC-DMIS takes a hit. This is the 3D distance between points. For example, if you 5, and your units of measurement is millimeters, the probe has to move at least 5 mm from the last point before PC-DMIS accepts a hit from the controller.

  5. If you're using a CAD model, type a Find Nominals tolerance in the Find Nominals Control area. This defines how far away the actual ball center point can be from the nominal CAD location.

  6. Set any other dialog box options as needed.

  7. Click Create. PC-DMIS inserts the basic scan.

  8. Execute your part program. When PC-DMIS executes the scan, the Execution Options dialog box appears and PC-DMIS waits for data to come from the controller.

  9. Manually drag the probe over the surface you want to scan. PC-DMIS checks the amount of time elapsed and the distance the probe moves. Whenever the time and distance exceed the values specified, it will accept a hit from the controller.

Quick Start Manual Scan

You can also begin execution of a variable scan from the Quick Start interface by clicking the Scan button. You will be prompted to take hits for manual scanning. Once you have completed take scan hits, click Finish to add the manual scan (variable delta) feature to the part program.


Performing a Fixed Time Manual Scan

The Time Delta method of scanning allows you to reduce the scan data by setting a time increment in the Time Delay Between Reads box. PC-DMIS will start from the first hit and reduce the scan by deleting hits that are read in faster than the specified time delay.

Example: If you specify a time increment 0.05 seconds, then PC-DMIS will only keep hits from the controller that are measured at least 0.05 seconds apart. The other hits are excluded from the scan.

See the "Common Functions of the Scan Dialog Box" topic of the PC-DMIS Core help file for information on this tab's other controls.

To Create a Fixed Time (Time Delta) Scan:

  1. Select the Display Menu Roadmap Insert | Scan | Fixed Time menu option. The TIME DELTA dialog box appears.

TIME DELTA dialog box

  2. Specify a custom name for the scan in the ID box, if you don't want to use the default name.

  3. In the Time Delay Between Reads box, type the time in seconds that will need to elapse before PC-DMIS takes a hit.

  4. If you're using a CAD model, type a Find Nominals tolerance in the Find Nominals Control area. This defines how far away the actual ball center point can be from the nominal CAD location.

  5. Set any other dialog box options as needed.

  6. Click Create. PC-DMIS inserts the basic scan.

  7. Execute your part program. When PC-DMIS executes the scan, the Execution Options dialog box appears and PC-DMIS waits for data to come from the controller.

  8. Manually drag the probe over the surface you want to scan. Whenever the elapsed time exceeds the values specified in the Time Delay Between reads box, PC-DMIS will accept a hit from the controller.


Performing a Body Axis Manual Scan

The Body Axis method of scanning allows you to scan a part by specifying a cut plane on a certain part axis and dragging the probe across the Cut Plane. As you scan the part, you should scan so that the probe crisscrosses the defined Cut Plane as many times as desired. PC-DMIS then follows this procedure:

  1. PC-DMIS gets data from the controller and finds the two data hits that are closest to the Cut Plane on either side as you crisscross.

  2. PC-DMIS then forms a line between the two hits which will pierce the Cut Plane.

  3. The pierced point then becomes a hit on the Cut Plane.

This operation happens every time you cross the Cut Plane and you will finally have many hits that are on the Cut Plane.

You can use this method to inspect multiple rows (PATCH) of scans by specifying an increment for the cut plane location. After scanning the first row, PC-DMIS will move the cut plane to the next location by adding the current location to the increment. You can then continue scanning the next row at the new Cut Plane location.

See the "Common Functions of the Scan Dialog Box" topic of the PC-DMIS Core help file for information on this tab's other controls.

To Create a Body Axis Scan:

  1. Select the Display Menu Roadmap Insert | Scan | Body Axis menu option. The BODY AXIS dialog box appears.

Body Axis dialog box

BODY AXIS dialog box

  2. Specify a custom name for the scan in the ID box, if you don't want to use the default name.

  3. From the Axis list, select an axis. The available axes are X, Y, and Z. The cut plane that your probe will crisscross will be parallel to this axis.

  4. In the Location box, specify a distance from the defined axis where your cut plane will be located.

  5. In the Increment box, specify the distance between planes if you will be scanning across multiple planes.

  6. If you're using a CAD model, type a Find Nominals tolerance in the Find Nominals Control area. This defines how far away the actual ball center point can be from the nominal CAD location.

  7. Set any other dialog box options as needed.

  8. Click Create. PC-DMIS inserts the basic scan.

  9. Execute your part program. When PC-DMIS executes the scan, the Execution Options dialog box appears and PC-DMIS waits for data to come from the controller.

  10. Manually drag the probe back and forth over the surface you want to scan. As the probe approaches a defined cut plane, you will hear a continual audible tone that gradually increases in pitch until the probe crosses the plane. This audible cue helps you determine how close the probe is to any cut planes. PC-DMIS will accept hits from the controller each time the probe crosses the defined plane.


Current Help System: PC-DMIS Portable (View Core Help)

- The sections are planes running through your part. Every time the probe crosses a plane, PC-DMIS records a hit. Planes are relative to the start point and direction vector. If you select this type, define the vector of the initial plane in the Initial Vectors area.

- These sections are planes radiate out from the start point. Every time the probe crosses a plane, PC-DMIS takes a hit. If you select this type, define two vectors in the Initial Vectors area. The vector of the initial plane (PlaneVec), the other, the vector around which the planes are rotated (AxisVec).

- These sections are concentric circles with increasingly larger diameters centered around the start point. Every time the probe crosses a circle, PC-DMIS takes a hit. If you select this type, define a single vector in the Initial Vectors area which defines the plane in which the circle lies (AxisVec).

Performing a Multisection Manual Scan

The Multisection method of scanning functions much like the Body Axis manual scan with these differences:

  • It can cross multiple sections.

  • It does not have to be parallel to the X, Y, or Z axis.

See the "Common Functions of the Scan Dialog Box" topic of the PC-DMIS Core help file for information on this tab's other controls.

To Create a Multisection Scan:

  1. Select the Display Menu Roadmap Insert | Scan | Multisection menu option. The MULTISECTION dialog box appears.

Multisection dialog box

MULTISECTION dialog box

  2. Specify a custom name for the scan in the ID box, if you don't want to use the default name.

  3. From the Section Type list, choose the type of sections you want to scan. Available types include:

  • Parallel Planes

  • Radial Planes

  • Concentric Circles

  4. In the Number of Sections box, type how many sections you want to have in your scan.

  5. If you chose at least two sections, specify the increment between sections in the Increment box. For parallel planes and circles, this is the distance between places, for radial planes this value is an angle. PC-DMIS automatically spaces the sections on the part.

  6. Define the scan's start point. In the Start Point area type the X, Y, and Z values, or click on your part to have PC-DMIS select the start point from the CAD drawing. The sections are calculated from this temporary point based on the increment value.

  7. If you're using a CAD model, type a Find Nominals tolerance in the Find Nominals Control area. This defines how far away the actual ball center point can be from the nominal CAD location.

  8. Set any other dialog box options as needed.

  9. Click Create. PC-DMIS inserts the basic scan.

  10. Execute your part program. When PC-DMIS executes the scan, the Execution Options dialog box appears and PC-DMIS waits for data to come from the controller.

  11. Manually drag the probe over the surface you want to scan. As the probe approaches each section, you will hear a continual audible tone that gradually increases in pitch until the probe crosses the section. This audible cue helps you determine how close the probe is to a section crossing. PC-DMIS will accept hits from the controller each time the probe crosses the defined section(s).


Performing a Manual Freeform Scan

Current Help System: PC-DMIS Portable (View Core Help)

Performing a Freeform Manual Scan

The Manual Freeform scan lets you create a freeform scan with a hard probe. This scan doesn't require a initial or direction vector, like many of the other manual scans. Similar to it's DCC counterpart, all you need to do to create a freeform scan is to click points on the surface you wish to scan.

See the "Common Functions of the Scan Dialog Box" topic of the PC-DMIS Core help file for information on this tab's other controls.

To create a Manual Freeform scan:

  1. Select the Display Menu Roadmap Insert | Scan | Manual Freeform menu option. The MANUAL FREEFORM dialog box appears.

Manual Freeform dialog box

Manual Freeform dialog box

  2. Specify a custom name for the scan in the ID box, if you don't want to use the default name.

  3. If you're using a CAD model, type a Find Nominals tolerance in the Find Nominals Control area. This defines how far away the actual ball center point can be from the nominal CAD location.

  4. Click on the surface of the part in the Graphics Display window to define your scan's path. With each click, an orange point appears on the part drawing. Each new point connects to the previous point with an orange line.

  5. Once you have sufficient points for your scan, click Create. PC-DMIS inserts the scan into the Edit Window.


Portable Laser Probe Scanning

PC-DMIS allows you to manually scan the surface of your part into Pointclouds. From Pointclouds, you can then extract Auto Features for addition to your part program. Portable laser probe scanning can be accomplished with a Perceptron laser probe or a Leica T-Probe scanner.

Creating a Manual Scan

To begin scanning in Learn Mode, you should do the following:

  1. [optional] Add a COP command to your part program to which the scanned data will be added. You can do this be selecting the Insert | Pointcloud Feature menu item or the Pointcloud button from the Pointcloud toolbar.

Note: If you begin scanning without first creating a COP command, PC-DMIS will automatically create a COP for the scanned data.

  2. Scan the surface in which the needed feature(s) reside. This can be accomplished by one or more passes. Scan stripes will be visualized in the Graphics Display window as you scan. If you are using an existing COP, you will be prompted to empty the COP.

  3. Select Auto Features that reside within the Pointcloud as described in the "Auto Feature Extraction" topic in the Laser help file. When an Auto Feature is created, the Pointcloud from which the feature is extracted is displayed on the "Laser Probe Toolbox: Laser Scan Properties tab".


Appendix A: Faro Portable Arm

Using a Faro portable arm is similar to using a Romer arm. Please refer to the "Using a Romer Portable CMM" topic and other sections throughout the Portable documentation for general information on using a portable arm machine.

If you are using a Faro arm, the Probe Calibration Utilities dialog box appears in place of the standard Measure dialog box that appears when you click Measure from the Probe Utilities dialog box.

Probe Calibration Utilities dialog box

More:

Available Dialog Box Options

Faro Calibration Procedure


Available Dialog Box Options

The following table lists each option available in the Probe Calibration Utilities dialog box and what each does.

Option

Description

Calibration Method

The Probe Calibration Utilities dialog box allows for two methods of calibration:

  • 1" Sphere Calibration Technique. Most Faro arms have a calibration sphere built into them which is usually a 1.000” ball so PC-DMIS defaults to this method of calibration.

  • Hole Calibration Technique. If preferred, you can use a hole to calibrate the Faro probe instead of the sphere.

Error Zone of Last Calibration

The Error Zone of last calibration box displays the volumetric number that Faro calculates after the calibration routine is complete. The Faro Controller generates this number and it is only used for display purposes. You cannot edit it.

Number of Hits Taken

The Number of Hits Taken box displays the number of hits taken per calibration zone.

Popup large window showing hits

Selecting the Popup large window showing hits check box shows the XYZ and number of hits in real-time as the calibration process takes place.

Beep after completing a segment of calibration

Selecting the Beep after completing a segment of calibration check box causes the computer system to emit a beeping sound when a specific calculation zone or segment is complete. The status area on the dialog box (located just below the Number of Hits Taken box) then tells the user what calibration zone to measure next and how many hits to take.


Faro Calibration Procedure

To correctly calibrate your probe using a Faro arm , follow this procedure:

  1. Access the Probe Calibration Utilities dialog box.

  2. Select the appropriate calibration method from the Calibration Method area.

  3. Select any useful check boxes.

  4. Click the Measure button. The calibration process will begin. PC-DMIS will display some visual aids to assist you in calibrating the Faro arm.

  5. Follow any on-screen instructions (including instructions that may appear in the dialog box's status area).

  6. If you’re using the one inch sphere method, take the following hits on the spherical tool, using this diagram and any on-screen aids to assist you:

    Side view of spherical tool and Faro magnet and clamp

    • Take five hits around the equator.

    • Flip the last axis, and take another five hits around the equator.

    • Take five hits normal to the sphere east to west.

    • Flip the last axis, and take four hits normal to the sphere from west to east.

    • Take four hits normal to the sphere from north to south.

    • Flip the last axis, and take four hits normal to the sphere from south to north.

  7. If you’re using the hole calibration technique, PC-DMIS will ask you to take these hits:

    • Take ten hits in the hole while rotating the handle.

    • Take ten hits in the hole from the opposite direction.

  8. Click OK when you finish calibrating.


Appendix B: SMX Tracker

To use the SMX laser interface you need to do the following.

  1. Connect your port lock (dongle) to your USB port. The portlock must be present during PC-DMIS installation.

  2. Execute setup.exe from the PC-DMIS Installation CD. Follow the on-screen instructions.

  3. If SMX Laser interface is programmed in your portlock, PC-DMIS will load and use the SMX Laser interface when working on-line.

  4. If All interfaces is programmed in your portlock (like a demo dongle), you may need to manually rename smxlaser.dll to interfac.dll. smxlaser.dll is found in the PC-DMIS install directory.

  3. Download the SMX laser DLL located at: ftp://ftp.wilcoxassoc.com/3rdParty/Faro/Tracker1331.zip.

  4. Unzip the contents of the Tracker1331.zip file into the PC-DMIS installation directory. In additional to the SMX Laser dll, there are JAR files and a JRE directory and subdirectories included in zip file. These files and directories must be copied to PD-DMIS installation directory.

  5. Test communication with your tracker by typing the following command from the command prompt:

ping 128.128.128.100

Note: For older trackers, the last number of the IP address is your tracker's serial number.

If there are problems with communication you can FTP into the tracker and test its response. Use the following commands:

ftp 128.128.128.100

login: supervise (doesn’t work with new Faro trackers)

> quote home

> quit

This should home the machine. If this fails then power down the machine, wait 1 minute and power it back up. If this still fails and SMX Insight software is loaded on the machine, you can try to perform a ‘Startup’ in Insight.

Note: Be aware that once the Tracker has been powered down for a while it can take up to 30 minutes for a reliable connection to be established.

The Faro SMX Tracker has added capability from the Faro Utilities application that can be accessed from PC-DMIS.

More:

Using the Closure Window

Performing Operational Checks


Using the Closure Window

PC-DMIS allows you to access Closure window settings. Closure is simply the reflector's current distance from the Home position. Closure helps you ensure the accuracy of your measurements, in that you would see non-zero Closure values if there was a problem.


Performing Operational Checks

The Faro Utilities provides the Operational Checks dialog box which has two tabs; General Page and Repeatability. The General tab displays environmental conditions and monitors the return intensity of the laser. The repeatability tab provides access to the Static and Dynamic repeatability tests, in addition to another way to access Closure.


Reporting Dimensions for Measured Points

PC-DMIS has a flag in the basic hit now that stores whether the probe has a shank vector. If it does not, then we display all three axes rather than just one. We also serialize this value because when we are reading in a part program, global_active_probe is not valid and we cannot check and set the flag using that mechanism.